summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'games-strategy')
-rw-r--r--games-strategy/0ad/0ad-0.0.25b_alpha-r1.ebuild264
-rw-r--r--games-strategy/0ad/files/0ad-0.0.25b_alpha-fix-name-collision-glibc.patch131
-rw-r--r--games-strategy/0ad/files/0ad-0.0.25b_alpha-python3.10.patch156
-rw-r--r--games-strategy/0ad/metadata.xml1
-rw-r--r--games-strategy/augustus/Manifest1
-rw-r--r--games-strategy/augustus/augustus-3.0.1.ebuild5
-rw-r--r--games-strategy/augustus/augustus-3.1.0.ebuild46
-rw-r--r--games-strategy/augustus/files/augustus-3.0.1-musl-fix-execinfo.patch13
-rw-r--r--games-strategy/augustus/files/augustus-3.1.0-musl-fix-execinfo.patch12
-rw-r--r--games-strategy/freeorion/Manifest4
-rw-r--r--games-strategy/freeorion/files/freeorion.envd1
-rw-r--r--games-strategy/freeorion/freeorion-0.4.10.1-r3.ebuild77
-rw-r--r--games-strategy/freeorion/freeorion-0.4.10.1_p20200629.ebuild77
-rw-r--r--games-strategy/freeorion/freeorion-0.4.10.2-r1.ebuild117
-rw-r--r--games-strategy/freeorion/freeorion-0.4.10.2.ebuild77
-rw-r--r--games-strategy/freeorion/freeorion-9999.ebuild118
-rw-r--r--games-strategy/freeorion/metadata.xml6
-rw-r--r--games-strategy/julius/files/julius-1.6.0-musl-fix-execinfo.patch14
-rw-r--r--games-strategy/julius/julius-1.6.0.ebuild5
-rw-r--r--games-strategy/naev/Manifest1
-rw-r--r--games-strategy/naev/naev-0.9.4.ebuild93
-rw-r--r--games-strategy/s25rttr/s25rttr-0.9.5.ebuild2
-rw-r--r--games-strategy/seven-kingdoms/seven-kingdoms-2.15.5.ebuild2
-rw-r--r--games-strategy/war1gus/Manifest7
-rw-r--r--games-strategy/war1gus/war1gus-2.4.3.ebuild60
-rw-r--r--games-strategy/war1gus/war1gus-3.0.0.ebuild60
-rw-r--r--games-strategy/war1gus/war1gus-3.1.1.ebuild61
-rw-r--r--games-strategy/war1gus/war1gus-3.3.0.ebuild (renamed from games-strategy/war1gus/war1gus-3.1.2.ebuild)25
-rw-r--r--games-strategy/war1gus/war1gus-3.3.1.ebuild (renamed from games-strategy/war1gus/war1gus-3.1.0.ebuild)25
-rw-r--r--games-strategy/wargus/Manifest7
-rw-r--r--games-strategy/wargus/wargus-2.4.3.ebuild71
-rw-r--r--games-strategy/wargus/wargus-3.0.0-r1.ebuild72
-rw-r--r--games-strategy/wargus/wargus-3.1.1.ebuild73
-rw-r--r--games-strategy/wargus/wargus-3.3.0.ebuild (renamed from games-strategy/wargus/wargus-3.1.2.ebuild)24
-rw-r--r--games-strategy/wargus/wargus-3.3.1.ebuild (renamed from games-strategy/wargus/wargus-3.1.0.ebuild)24
-rw-r--r--games-strategy/wesnoth/Manifest3
-rw-r--r--games-strategy/wesnoth/wesnoth-1.16.3.ebuild (renamed from games-strategy/wesnoth/wesnoth-1.16.0-r1.ebuild)4
-rw-r--r--games-strategy/wesnoth/wesnoth-1.17.5.ebuild100
-rw-r--r--games-strategy/widelands/files/widelands-1.0-gcc12-werror.patch29
-rw-r--r--games-strategy/widelands/widelands-1.0.ebuild5
40 files changed, 1142 insertions, 731 deletions
diff --git a/games-strategy/0ad/0ad-0.0.25b_alpha-r1.ebuild b/games-strategy/0ad/0ad-0.0.25b_alpha-r1.ebuild
new file mode 100644
index 00000000000..0939933bda9
--- /dev/null
+++ b/games-strategy/0ad/0ad-0.0.25b_alpha-r1.ebuild
@@ -0,0 +1,264 @@
+# Copyright 2014-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+WX_GTK_VER="3.0-gtk3"
+PYTHON_COMPAT=( python3_{8..10} )
+inherit desktop toolchain-funcs multiprocessing python-any-r1 wxwidgets xdg
+
+DESCRIPTION="A free, real-time strategy game"
+HOMEPAGE="https://play0ad.com/"
+LICENSE="BitstreamVera CC-BY-SA-3.0 GPL-2 LGPL-2.1 LPPL-1.3c MIT ZLIB"
+# Upstream signs releases (and only them) with app-crypt/minisign.
+# The (public) key can be found on https://play0ad.com/download/source.
+if [[ ${PV} == *9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/0ad/0ad"
+ S="${WORKDIR}/${P}"
+elif [[ ${PV} == *_pre* ]]; then
+ ZEROAD_GIT_REVISION="c7d07d3979f969b969211a5e5748fa775f6768a7"
+ SRC_URI="https://github.com/0ad/0ad/archive/${ZEROAD_GIT_REVISION}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}/${PN}-${ZEROAD_GIT_REVISION}"
+else
+ # Trailing whitespace for IUSE append below
+ IUSE="verify-sig "
+ MINISIGN_KEY="RWT0hFWv57I2RFoJwLVjxEr44JOq/RkEx1oT0IA3PPPICnSF7HFKW1CT"
+ MY_P="0ad-${PV/_/-}"
+ SRC_URI="
+ http://releases.wildfiregames.com/${MY_P}-unix-build.tar.xz
+ https://releases.wildfiregames.com/${MY_P}-unix-data.tar.xz
+ verify-sig? (
+ http://releases.wildfiregames.com/${MY_P}-unix-build.tar.xz.minisig
+ http://releases.wildfiregames.com/${MY_P}-unix-data.tar.xz.minisig
+ )
+ "
+ S="${WORKDIR}/${MY_P}"
+fi
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE+="editor +lobby nvtt pch test"
+
+RESTRICT="test"
+CHECKREQS_DISK_BUILD="9000M" # 8769732 KiB (8.3 GiB) for alpha 25
+CHECKREQS_DISK_USR="3500M" # 3545972 KiB (3.3 GiB)
+
+# Premake adds '-s' to some LDFLAGS. Simply sed'ing it out leads to
+# build and/or startup issues.
+QA_PRESTRIPPED="/usr/lib64/0ad/libCollada.so /usr/bin/0ad"
+
+# virtual/rust is for bundled SpiderMonkey.
+# Build-time Python dependency is for SM, too.
+BDEPEND="
+ ${PYTHON_DEPS}
+ >=dev-util/premake-5.0.0_alpha12:5
+ virtual/pkgconfig
+ virtual/rust
+ test? ( dev-lang/perl )
+"
+# Upstream uses minisign which is not supported by verify-sign, bug #783066.
+# Signatures are only provided for releases.
+if [[ ( ${PV} != *9999 ) && ( ${PV} != *_p* ) ]]; then
+ BDEPEND+=" app-crypt/minisign"
+fi
+
+# Removed dependency on nvtt as we use the bundled one.
+# bug #768930
+DEPEND="
+ dev-libs/boost:=
+ dev-libs/icu:=
+ dev-libs/libfmt:0=
+ dev-libs/libsodium
+ dev-libs/libxml2
+ media-libs/libpng:0
+ media-libs/libsdl2[X,opengl,video]
+ media-libs/libvorbis
+ media-libs/openal
+ net-libs/enet:1.3
+ net-libs/miniupnpc:=
+ net-misc/curl
+ sys-libs/zlib
+ virtual/opengl
+ x11-libs/libX11
+ editor? ( x11-libs/wxGTK:${WX_GTK_VER}[X,opengl] )
+ lobby? ( net-libs/gloox )
+"
+RDEPEND="
+ ${DEPEND}
+ !games-strategy/0ad-data
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.0.24b_alpha-respect-tc.patch
+ "${FILESDIR}"/${PN}-0.0.25b_alpha-fix-setuptools.patch
+ "${FILESDIR}"/${PN}-0.0.25b_alpha-python3.10.patch
+ "${FILESDIR}"/${PN}-0.0.25b_alpha-fix-name-collision-glibc.patch
+)
+
+pkg_setup() {
+ use editor && setup-wxwidgets
+
+ python-any-r1_pkg_setup
+}
+
+src_unpack() {
+ if [[ ( ${PV} != *9999 ) && ( ${PV} != *_p* ) ]]; then
+ if use verify-sig; then
+ elog "Verifying both signatures using app-crypt/minisign."
+ minisign -V \
+ -P "${MINISIGN_KEY}" \
+ -x "${DISTDIR}/${MY_P}-unix-build.tar.xz.minisig" \
+ -m "${DISTDIR}/${MY_P}-unix-build.tar.xz" \
+ || die "Failed to verify engine distfile using minisign!"
+ minisign -V \
+ -P "${MINISIGN_KEY}" \
+ -x "${DISTDIR}/${MY_P}-unix-data.tar.xz.minisig" \
+ -m "${DISTDIR}/${MY_P}-unix-data.tar.xz" \
+ || die "Failed to verify data distfile using minisign!"
+ fi
+ # Unpack manually until an eclass supports minisign and unpacks
+ # if signatures match.
+ default
+ else
+ # Unpack distfiles without checking as this is no official release.
+ default
+ fi
+}
+
+src_prepare() {
+ default
+
+ # SpiderMonkey's configure no longer recognises --build for
+ # the build tuple
+ sed -i -e "/--build/d" libraries/source/spidermonkey/build.sh || die
+
+ # Originally from 0ad-data
+ rm binaries/data/tools/fontbuilder/fonts/*.txt || die
+}
+
+src_configure() {
+ # 0AD uses premake:5 to generate the Makefiles, so let's
+ # 1. configure the configure args,
+ # 2. export some toolchain args,
+ # 3. configure premake args,
+ # 4. run premake5.
+ local myconf=(
+ --minimal-flags
+ $(usex nvtt "" "--without-nvtt")
+ $(usex pch "" "--without-pch")
+ $(usex test "" "--without-tests")
+ $(usex editor "--atlas" "")
+ $(usex lobby "" "--without-lobby")
+ --bindir="/usr/bin"
+ --libdir="/usr/$(get_libdir)"/${PN}
+ --datadir="/usr/share/${PN}"
+ )
+
+ tc-export AR CC CXX RANLIB
+
+ local mypremakeargs=(
+ --outpath="../workspace/gcc"
+ --os=linux
+ --verbose
+ )
+
+ cd "${S}/build/premake" || die "Could not enter premake directory"
+
+ /usr/bin/premake5 "${mypremakeargs[@]}" "${myconf[@]}" gmake2 \
+ || die "Premake failed"
+}
+
+src_compile() {
+ # Build 3rd party fcollada
+ einfo "Building bundled fcollada"
+ emake -C libraries/source/fcollada/src
+
+ # Build bundled NVTT
+ # nvtt is abandoned upstream and 0ad has forked it and added fixes.
+ # Use their copy. bug #768930
+ if use nvtt ; then
+ cd libraries/source/nvtt || die
+ elog "Building bundled NVTT (bug #768930)"
+ JOBS="-j$(makeopts_jobs)" ./build.sh || die "Failed to build bundled NVTT"
+ cd "${S}" || die
+ fi
+
+ # Build bundled SpiderMonkey
+ # We really can't use the system SpiderMonkey right now.
+ # Breakages occur even on minor bumps in upstream SM,
+ # e.g. bug #768840.
+ cd libraries/source/spidermonkey || die
+ elog "Building bundled SpiderMonkey (bug #768840)"
+ XARGS="${EPREFIX}/usr/bin/xargs" \
+ JOBS="-j$(makeopts_jobs)" \
+ ./build.sh \
+ || die "Failed to build bundled SpiderMonkey"
+
+ cd "${S}" || die
+
+ # Build 0ad itself!
+ elog "Building 0ad"
+ JOBS="-j$(makeopts_jobs)" emake -C build/workspace/gcc verbose=1
+
+ # Build assets
+ # (We only do this if we're using a snapshot/non-release)
+ # See bug #771147 (comment 3) and the old 0ad-data ebuild
+ # Warning: fragile!
+ if [[ ${PV} == 9999 || ${PV} == *_pre* ]]; then
+ # source/lib/sysdep/os/linux/ldbg.cpp:debug_SetThreadName() tries to open /proc/self/task/${TID}/comm for writing.
+ addpredict /proc/self/task
+
+ # Based on source/tools/dist/build-archives.sh used by source/tools/dist/build.sh.
+ local archivebuild_input archivebuild_output mod_name
+ for archivebuild_input in binaries/data/mods/[A-Za-z0-9]*; do
+ mod_name="${archivebuild_input##*/}"
+ archivebuild_output="archives/${mod_name}"
+
+ mkdir -p "${archivebuild_output}" || die
+
+ einfo pyrogenesis -archivebuild="${archivebuild_input}" -archivebuild-output="${archivebuild_output}/${mod_name}.zip"
+ LD_LIBRARY_PATH="binaries/system" binaries/system/pyrogenesis \
+ -archivebuild="${archivebuild_input}" \
+ -archivebuild-output="${archivebuild_output}/${mod_name}.zip" \
+ || die "Failed to build assets"
+
+ if [[ -f "${archivebuild_input}/mod.json" ]]; then
+ cp "${archivebuild_input}/mod.json" "${archivebuild_output}" || die
+ fi
+
+ rm -r "${archivebuild_input}" || die
+ mv "${archivebuild_output}" "${archivebuild_input}" || die
+ done
+
+ # Based on source/tools/dist/build-unix-win32.sh used by source/tools/dist/build.sh.
+ rm binaries/data/config/dev.cfg || die
+ rm -r binaries/data/mods/_test.* || die
+ fi
+}
+
+src_test() {
+ cd binaries/system || die
+ ./test -libdir "${S}/binaries/system" || die "Failed tests"
+}
+
+src_install() {
+ newbin binaries/system/pyrogenesis 0ad
+ use editor && newbin binaries/system/ActorEditor 0ad-ActorEditor
+
+ # Merged from 0ad-data
+ # bug #771147 (comment 3)
+ insinto /usr/share/${PN}
+ doins -r binaries/data/{l10n,config,mods,tools}
+
+ # Install bundled SpiderMonkey and nvtt
+ # bug #771147 (comment 1)
+ exeinto /usr/$(get_libdir)/${PN}
+ doexe binaries/system/{libCollada,libmozjs78-ps-release}.so
+
+ use nvtt && doexe binaries/system/{libnvtt,libnvcore,libnvimage,libnvmath}.so
+ use editor && doexe binaries/system/libAtlasUI.so
+
+ dodoc binaries/system/readme.txt
+ doicon -s 128 build/resources/${PN}.png
+ make_desktop_entry ${PN}
+}
diff --git a/games-strategy/0ad/files/0ad-0.0.25b_alpha-fix-name-collision-glibc.patch b/games-strategy/0ad/files/0ad-0.0.25b_alpha-fix-name-collision-glibc.patch
new file mode 100644
index 00000000000..e8d88e794c9
--- /dev/null
+++ b/games-strategy/0ad/files/0ad-0.0.25b_alpha-fix-name-collision-glibc.patch
@@ -0,0 +1,131 @@
+https://bugs.gentoo.org/834578
+https://trac.wildfiregames.com/changeset/26536/
+​https://gcc.gnu.org/bugzilla/show_bug.cgi?id=103735
+​https://sourceware.org/bugzilla/show_bug.cgi?id=28713
+--- a/source/tools/atlas/AtlasUI/ScenarioEditor/Sections/Environment/Environment.cpp
++++ b/source/tools/atlas/AtlasUI/ScenarioEditor/Sections/Environment/Environment.cpp
+@@ -1,3 +1,3 @@
+-/* Copyright (C) 2021 Wildfire Games.
++/* Copyright (C) 2022 Wildfire Games.
+ * This file is part of 0 A.D.
+ *
+@@ -30,6 +30,4 @@
+ static Observable<AtlasMessage::sEnvironmentSettings> g_EnvironmentSettings;
+
+-const float M_PIf = 3.14159265f;
+-
+ //////////////////////////////////////////////////////////////////////////
+
+@@ -86,10 +84,13 @@
+ m_Var(var)
+ {
+- m_Conn = g_EnvironmentSettings.RegisterObserver(0, &VariableListBox::OnSettingsChange, this);
++ m_Conn = g_EnvironmentSettings.RegisterObserver(
++ 0, &VariableListBox::OnSettingsChange, this);
+
+ m_Sizer = new wxStaticBoxSizer(wxVERTICAL, this, label);
+ SetSizer(m_Sizer);
+
+- m_Combo = new wxComboBox(this, -1, wxEmptyString, wxDefaultPosition, wxDefaultSize, wxArrayString(), wxCB_READONLY),
++ m_Combo = new wxComboBox(
++ this, -1, wxEmptyString, wxDefaultPosition, wxDefaultSize,
++ wxArrayString(), wxCB_READONLY),
+ m_Sizer->Add(m_Combo, wxSizerFlags().Expand());
+ }
+@@ -207,6 +208,7 @@
+ }
+
+-EnvironmentSidebar::EnvironmentSidebar(ScenarioEditor& scenarioEditor, wxWindow* sidebarContainer, wxWindow* bottomBarContainer)
+-: Sidebar(scenarioEditor, sidebarContainer, bottomBarContainer)
++EnvironmentSidebar::EnvironmentSidebar(
++ ScenarioEditor& scenarioEditor, wxWindow* sidebarContainer, wxWindow* bottomBarContainer)
++ : Sidebar(scenarioEditor, sidebarContainer, bottomBarContainer)
+ {
+ wxSizer* scrollSizer = new wxBoxSizer(wxVERTICAL);
+@@ -218,13 +220,22 @@
+ wxSizer* waterSizer = new wxStaticBoxSizer(wxVERTICAL, scrolledWindow, _T("Water settings"));
+ scrollSizer->Add(waterSizer, wxSizerFlags().Expand());
+- waterSizer->Add(new wxButton(scrolledWindow, ID_RecomputeWaterData, _("Reset Water Data")), wxSizerFlags().Expand());
+- waterSizer->Add(m_WaterTypeList = new VariableListBox(scrolledWindow, _("Water Type"), g_EnvironmentSettings.watertype), wxSizerFlags().Expand());
+- waterSizer->Add(new VariableSliderBox(scrolledWindow, _("Water height"), g_EnvironmentSettings.waterheight, 0.f, 1.2f), wxSizerFlags().Expand());
+- waterSizer->Add(new wxButton(scrolledWindow, ID_PickWaterHeight, _("Pick Water Height")), wxSizerFlags().Expand());
+- waterSizer->Add(new VariableSliderBox(scrolledWindow, _("Water waviness"), g_EnvironmentSettings.waterwaviness, 0.f, 10.f), wxSizerFlags().Expand());
+- waterSizer->Add(new VariableSliderBox(scrolledWindow, _("Water murkiness"), g_EnvironmentSettings.watermurkiness, 0.f, 1.f), wxSizerFlags().Expand());
+- waterSizer->Add(new VariableSliderBox(scrolledWindow, _("Wind angle"), g_EnvironmentSettings.windangle, -M_PIf, M_PIf), wxSizerFlags().Expand());
+- waterSizer->Add(new VariableColorBox(scrolledWindow, _("Water color"), g_EnvironmentSettings.watercolor), wxSizerFlags().Expand());
+- waterSizer->Add(new VariableColorBox(scrolledWindow, _("Water tint"), g_EnvironmentSettings.watertint), wxSizerFlags().Expand());
++ waterSizer->Add(new wxButton(
++ scrolledWindow, ID_RecomputeWaterData, _("Reset Water Data")), wxSizerFlags().Expand());
++ waterSizer->Add(m_WaterTypeList = new VariableListBox(
++ scrolledWindow, _("Water Type"), g_EnvironmentSettings.watertype), wxSizerFlags().Expand());
++ waterSizer->Add(new VariableSliderBox(
++ scrolledWindow, _("Water height"), g_EnvironmentSettings.waterheight, 0.f, 1.2f), wxSizerFlags().Expand());
++ waterSizer->Add(new wxButton(
++ scrolledWindow, ID_PickWaterHeight, _("Pick Water Height")), wxSizerFlags().Expand());
++ waterSizer->Add(new VariableSliderBox(
++ scrolledWindow, _("Water waviness"), g_EnvironmentSettings.waterwaviness, 0.f, 10.f), wxSizerFlags().Expand());
++ waterSizer->Add(new VariableSliderBox(
++ scrolledWindow, _("Water murkiness"), g_EnvironmentSettings.watermurkiness, 0.f, 1.f), wxSizerFlags().Expand());
++ waterSizer->Add(new VariableSliderBox(
++ scrolledWindow, _("Wind angle"), g_EnvironmentSettings.windangle, -static_cast<float>(M_PI), static_cast<float>(M_PI)), wxSizerFlags().Expand());
++ waterSizer->Add(new VariableColorBox(
++ scrolledWindow, _("Water color"), g_EnvironmentSettings.watercolor), wxSizerFlags().Expand());
++ waterSizer->Add(new VariableColorBox(
++ scrolledWindow, _("Water tint"), g_EnvironmentSettings.watertint), wxSizerFlags().Expand());
+
+ std::vector<std::wstring> list;
+@@ -236,23 +247,38 @@
+ scrollSizer->Add(sunSizer, wxSizerFlags().Expand().Border(wxTOP, 8));
+
+- sunSizer->Add(new VariableSliderBox(scrolledWindow, _("Sun rotation"), g_EnvironmentSettings.sunrotation, -M_PIf, M_PIf), wxSizerFlags().Expand());
+- sunSizer->Add(new VariableSliderBox(scrolledWindow, _("Sun elevation"), g_EnvironmentSettings.sunelevation, -M_PIf/2, M_PIf/2), wxSizerFlags().Expand());
+- sunSizer->Add(new VariableSliderBox(scrolledWindow, _("Sun overbrightness"), g_EnvironmentSettings.sunoverbrightness, 1.0f, 3.0f), wxSizerFlags().Expand());
+- sunSizer->Add(new LightControl(scrolledWindow, wxSize(150, 150), g_EnvironmentSettings));
+- sunSizer->Add(new VariableColorBox(scrolledWindow, _("Sun color"), g_EnvironmentSettings.suncolor), wxSizerFlags().Expand());
+- sunSizer->Add(m_SkyList = new VariableListBox(scrolledWindow, _("Sky set"), g_EnvironmentSettings.skyset), wxSizerFlags().Expand());
+- sunSizer->Add(new VariableSliderBox(scrolledWindow, _("Fog Factor"), g_EnvironmentSettings.fogfactor, 0.0f, 0.01f), wxSizerFlags().Expand());
+- sunSizer->Add(new VariableSliderBox(scrolledWindow, _("Fog Thickness"), g_EnvironmentSettings.fogmax, 0.5f, 0.0f), wxSizerFlags().Expand());
+- sunSizer->Add(new VariableColorBox(scrolledWindow, _("Fog color"), g_EnvironmentSettings.fogcolor), wxSizerFlags().Expand());
+- sunSizer->Add(new VariableColorBox(scrolledWindow, _("Ambient color"), g_EnvironmentSettings.ambientcolor), wxSizerFlags().Expand());
++ sunSizer->Add(new VariableSliderBox(
++ scrolledWindow, _("Sun rotation"), g_EnvironmentSettings.sunrotation, -static_cast<float>(M_PI), static_cast<float>(M_PI)), wxSizerFlags().Expand());
++ sunSizer->Add(new VariableSliderBox(
++ scrolledWindow, _("Sun elevation"), g_EnvironmentSettings.sunelevation, -static_cast<float>(M_PI) / 2.0f, static_cast<float>(M_PI) / 2.0f), wxSizerFlags().Expand());
++ sunSizer->Add(new VariableSliderBox(
++ scrolledWindow, _("Sun overbrightness"), g_EnvironmentSettings.sunoverbrightness, 1.0f, 3.0f), wxSizerFlags().Expand());
++ sunSizer->Add(new LightControl(
++ scrolledWindow, wxSize(150, 150), g_EnvironmentSettings));
++ sunSizer->Add(new VariableColorBox(
++ scrolledWindow, _("Sun color"), g_EnvironmentSettings.suncolor), wxSizerFlags().Expand());
++ sunSizer->Add(m_SkyList = new VariableListBox(
++ scrolledWindow, _("Sky set"), g_EnvironmentSettings.skyset), wxSizerFlags().Expand());
++ sunSizer->Add(new VariableSliderBox(
++ scrolledWindow, _("Fog Factor"), g_EnvironmentSettings.fogfactor, 0.0f, 0.01f), wxSizerFlags().Expand());
++ sunSizer->Add(new VariableSliderBox(
++ scrolledWindow, _("Fog Thickness"), g_EnvironmentSettings.fogmax, 0.5f, 0.0f), wxSizerFlags().Expand());
++ sunSizer->Add(new VariableColorBox(
++ scrolledWindow, _("Fog color"), g_EnvironmentSettings.fogcolor), wxSizerFlags().Expand());
++ sunSizer->Add(new VariableColorBox(
++ scrolledWindow, _("Ambient color"), g_EnvironmentSettings.ambientcolor), wxSizerFlags().Expand());
+
+ wxSizer* postProcSizer = new wxStaticBoxSizer(wxVERTICAL, scrolledWindow, _T("Post-processing settings"));
+ scrollSizer->Add(postProcSizer, wxSizerFlags().Expand().Border(wxTOP, 8));
+
+- postProcSizer->Add(m_PostEffectList = new VariableListBox(scrolledWindow, _("Post Effect"), g_EnvironmentSettings.posteffect), wxSizerFlags().Expand());
+- postProcSizer->Add(new VariableSliderBox(scrolledWindow, _("Brightness"), g_EnvironmentSettings.brightness, -0.5f, 0.5f), wxSizerFlags().Expand());
+- postProcSizer->Add(new VariableSliderBox(scrolledWindow, _("Contrast (HDR)"), g_EnvironmentSettings.contrast, 0.5f, 1.5f), wxSizerFlags().Expand());
+- postProcSizer->Add(new VariableSliderBox(scrolledWindow, _("Saturation"), g_EnvironmentSettings.saturation, 0.0f, 2.0f), wxSizerFlags().Expand());
+- postProcSizer->Add(new VariableSliderBox(scrolledWindow, _("Bloom"), g_EnvironmentSettings.bloom, 0.2f, 0.0f), wxSizerFlags().Expand());
++ postProcSizer->Add(m_PostEffectList = new VariableListBox(
++ scrolledWindow, _("Post Effect"), g_EnvironmentSettings.posteffect), wxSizerFlags().Expand());
++ postProcSizer->Add(new VariableSliderBox(
++ scrolledWindow, _("Brightness"), g_EnvironmentSettings.brightness, -0.5f, 0.5f), wxSizerFlags().Expand());
++ postProcSizer->Add(new VariableSliderBox(
++ scrolledWindow, _("Contrast (HDR)"), g_EnvironmentSettings.contrast, 0.5f, 1.5f), wxSizerFlags().Expand());
++ postProcSizer->Add(new VariableSliderBox(
++ scrolledWindow, _("Saturation"), g_EnvironmentSettings.saturation, 0.0f, 2.0f), wxSizerFlags().Expand());
++ postProcSizer->Add(new VariableSliderBox(
++ scrolledWindow, _("Bloom"), g_EnvironmentSettings.bloom, 0.2f, 0.0f), wxSizerFlags().Expand());
+
+ m_Conn = g_EnvironmentSettings.RegisterObserver(0, &SendToGame);
+
diff --git a/games-strategy/0ad/files/0ad-0.0.25b_alpha-python3.10.patch b/games-strategy/0ad/files/0ad-0.0.25b_alpha-python3.10.patch
new file mode 100644
index 00000000000..80991e3c7a6
--- /dev/null
+++ b/games-strategy/0ad/files/0ad-0.0.25b_alpha-python3.10.patch
@@ -0,0 +1,156 @@
+https://github.com/0ad/0ad/commit/c2ec217eea6952c4877095969e11900b70c7cda3
+https://bugs.gentoo.org/845987
+
+From: s0600204 <s0600204@3db68df2-c116-0410-a063-a993310a9797>
+Date: Wed, 23 Feb 2022 20:30:38 +0000
+Subject: [PATCH] Fix building spidermonkey on systems with python 3.10
+
+Tested by:
+* Langbart - macOS 10.15.7: `homebrew`ed python 3.9.9 & 3.10.1
+* andy5995 - Manjaro 21.2.3: python 3.10.2
+* s0600204 - ArchLinux: python 3.10.2
+
+Differential Revision: https://code.wildfiregames.com/D4437
+
+
+
+git-svn-id: https://svn.wildfiregames.com/public/ps/trunk@26475 3db68df2-c116-0410-a063-a993310a9797
+--- /dev/null
++++ b/libraries/source/spidermonkey/FixPythonCollectionABC.diff
+@@ -0,0 +1,87 @@
++--- a/python/mach/mach/config.py
+++++ b/python/mach/mach/config.py
++@@ -144,7 +144,7 @@
++ return _
++
++
++-class ConfigSettings(collections.Mapping):
+++class ConfigSettings(collections.abc.Mapping):
++ """Interface for configuration settings.
++
++ This is the main interface to the configuration.
++@@ -190,7 +190,7 @@
++ will result in exceptions being raised.
++ """
++
++- class ConfigSection(collections.MutableMapping, object):
+++ class ConfigSection(collections.abc.MutableMapping, object):
++ """Represents an individual config section."""
++ def __init__(self, config, name, settings):
++ object.__setattr__(self, '_config', config)
++--- a/python/mach/mach/decorators.py
+++++ b/python/mach/mach/decorators.py
++@@ -159,7 +159,7 @@
++ 'Conditions argument must take a list ' + \
++ 'of functions. Found %s instead.'
++
++- if not isinstance(command.conditions, collections.Iterable):
+++ if not isinstance(command.conditions, collections.abc.Iterable):
++ msg = msg % (command.name, type(command.conditions))
++ raise MachError(msg)
++
++--- a/python/mach/mach/main.py
+++++ b/python/mach/mach/main.py
++@@ -16,7 +16,7 @@
++ import sys
++ import traceback
++ import uuid
++-from collections import Iterable
+++from collections.abc import Iterable
++
++ from six import string_types
++
++--- a/python/mozbuild/mozbuild/backend/configenvironment.py
+++++ b/python/mozbuild/mozbuild/backend/configenvironment.py
++@@ -9,7 +9,8 @@
++ import sys
++ import json
++
++-from collections import Iterable, OrderedDict
+++from collections import OrderedDict
+++from collections.abc import Iterable
++ from types import ModuleType
++
++ import mozpack.path as mozpath
++--- a/python/mozbuild/mozbuild/makeutil.py
+++++ b/python/mozbuild/mozbuild/makeutil.py
++@@ -7,7 +7,7 @@
++ import os
++ import re
++ import six
++-from collections import Iterable
+++from collections.abc import Iterable
++
++
++ class Makefile(object):
++--- a/python/mozbuild/mozbuild/util.py
+++++ b/python/mozbuild/mozbuild/util.py
++@@ -782,7 +782,7 @@
++ self._strings = StrictOrderingOnAppendList()
++ self._children = {}
++
++- class StringListAdaptor(collections.Sequence):
+++ class StringListAdaptor(collections.abc.Sequence):
++ def __init__(self, hsl):
++ self._hsl = hsl
++
++--- a/testing/mozbase/manifestparser/manifestparser/filters.py
+++++ b/testing/mozbase/manifestparser/manifestparser/filters.py
++@@ -15,1 +15,2 @@
++-from collections import defaultdict, MutableSequence
+++from collections import defaultdict
+++from collections.abc import MutableSequence
++--- a/third_party/python/pipenv/pipenv/vendor/jinja2/sandbox.py
+++++ b/third_party/python/pipenv/pipenv/vendor/jinja2/sandbox.py
++@@ -82,1 +82,1 @@
++-from collections import MutableSet, MutableMapping, MutableSequence
+++from collections.abc import MutableSet, MutableMapping, MutableSequence
+--- /dev/null
++++ b/libraries/source/spidermonkey/FixVirtualenvForPython310.diff
+@@ -0,0 +1,15 @@
++--- a/third_party/python/virtualenv/virtualenv.py
+++++ b/third_party/python/virtualenv/virtualenv.py
++@@ -1804,7 +1804,11 @@
++ pass
++ else:
++ # noinspection PyProtectedMember
++- if sysconfig._get_default_scheme() == "posix_local":
+++ try: # Python >= 3.10
+++ default_scheme = sysconfig.get_default_scheme()
+++ except: # Python < 3.10
+++ default_scheme = sysconfig._get_default_scheme()
+++ if default_scheme == "posix_local":
++ local_path = os.path.join(home_dir, "local")
++ if not os.path.exists(local_path):
++ os.mkdir(local_path)
+--- a/libraries/source/spidermonkey/patch.sh
++++ b/libraries/source/spidermonkey/patch.sh
+@@ -52,6 +60,11 @@ patch -p1 < ../FixMSVCRootedVoid.diff
+ # so this patches it to an arbitrarily high Mac OS 11
+ patch -p1 < ../FixMacBuild.diff
+
++# In python 3.3, the Collections' Abstract Base Classes were moved from `collections` to
++# `collections.abc`, and aliases were set up for backwards compatibility.
++# In python 3.10, these aliases were removed, requiring all code that used them to update.
++patch -p1 < ../FixPythonCollectionABC.diff
++
+ # Fix FP access breaking compilation on RPI3+
+ # https://bugzilla.mozilla.org/show_bug.cgi?id=1526653
+ # https://bugzilla.mozilla.org/show_bug.cgi?id=1536491
+
+diff --git a/libraries/source/spidermonkey/patch.sh b/libraries/source/spidermonkey/patch.sh
+index 2a3e165..5dde46f 100644
+--- a/libraries/source/spidermonkey/patch.sh
++++ b/libraries/source/spidermonkey/patch.sh
+@@ -2,6 +2,11 @@
+ # Apply patches if needed
+ # This script gets called from build.sh.
+
++# In python 3.10 `sysconfig._get_default_scheme()` was renamed to
++# `sysconfig.get_default_scheme()`. This breaks the version of
++# `virtualenv` bundled with the spidermonkey source code.
++patch -p1 < ../FixVirtualenvForPython310.diff
++
+ # Mozglue symbols need to be linked against static builds.
+ # https://bugzilla.mozilla.org/show_bug.cgi?id=1588340
+ patch -p1 < ../FixMozglue.diff
diff --git a/games-strategy/0ad/metadata.xml b/games-strategy/0ad/metadata.xml
index bc03cc2afd5..c47c262ab26 100644
--- a/games-strategy/0ad/metadata.xml
+++ b/games-strategy/0ad/metadata.xml
@@ -10,7 +10,6 @@
<flag name="lobby">Enable the use of <pkg>net-libs/gloox</pkg>
and the multiplayer lobby</flag>
<flag name="nvtt">Support for some uncompressed data formats
- via <pkg>media-gfx/nvidia-texture-tools</pkg>
(might be needed for some mods)</flag>
</use>
<upstream>
diff --git a/games-strategy/augustus/Manifest b/games-strategy/augustus/Manifest
index d495e4cf767..4028502c621 100644
--- a/games-strategy/augustus/Manifest
+++ b/games-strategy/augustus/Manifest
@@ -1 +1,2 @@
DIST augustus-3.0.1.tar.gz 47539500 BLAKE2B 43e808959f176e4024866074c227814e2be75175cbbca60fbc430a7617941766b8a00ae6f56c08239c5ed8cd60d637109e963eba859c78d60f7b37d54079e7c4 SHA512 4929763a4436863525c4d3f93570090ce066ea2abfe56766d991b7ebc03b34fc53fc8c6dcbb7f5c96e2e10d233bb5966581d148db7d7ea2eac5c1435cc4327bd
+DIST augustus-3.1.0.tar.gz 97754907 BLAKE2B 2f30458538a3395b15da1ff1da68e6be4618e51e5e6b0ab89d5215292ff8d67beb5467152caa698bd408bd4c890183ac7109c02a4bbb1e72dc0e94d3c33f6cc3 SHA512 b1831cbaa4d3bac5991aca8fdc1299a4536147d780e328d0e09bb68f71c155eccfd0b087aa9a412868aee6853fd327922481251b8c510a131148d9b31c424536
diff --git a/games-strategy/augustus/augustus-3.0.1.ebuild b/games-strategy/augustus/augustus-3.0.1.ebuild
index b14ad8923ee..e9e88193f60 100644
--- a/games-strategy/augustus/augustus-3.0.1.ebuild
+++ b/games-strategy/augustus/augustus-3.0.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/Keriew/augustus/archive/refs/tags/v${PV}.tar.gz -> $
LICENSE="AGPL-3"
SLOT="0"
-KEYWORDS="~amd64 ~arm64"
+KEYWORDS="~amd64 ~arm64 ~ppc64"
IUSE="uncapped"
DEPEND="
@@ -26,6 +26,7 @@ RDEPEND="
PATCHES=(
"${FILESDIR}/${PN}-3.0.1-desktop_rename.patch"
+ "${FILESDIR}/${PN}-3.0.1-musl-fix-execinfo.patch"
)
src_prepare() {
diff --git a/games-strategy/augustus/augustus-3.1.0.ebuild b/games-strategy/augustus/augustus-3.1.0.ebuild
new file mode 100644
index 00000000000..65d4a30ac09
--- /dev/null
+++ b/games-strategy/augustus/augustus-3.1.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake readme.gentoo-r1 xdg
+
+DESCRIPTION="Feature-enhanced open source re-implementation of Caesar III"
+HOMEPAGE="https://github.com/Keriew/augustus"
+SRC_URI="https://github.com/Keriew/augustus/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="AGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64"
+
+DEPEND="
+ dev-libs/expat
+ media-libs/libpng:=
+ media-libs/libsdl2[joystick,video,sound]
+ media-libs/sdl2-mixer
+"
+RDEPEND="
+ ${DEPEND}
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-3.0.1-desktop_rename.patch"
+ "${FILESDIR}/${PN}-3.1.0-musl-fix-execinfo.patch"
+)
+
+src_install() {
+ cmake_src_install
+ dodir /usr/libexec
+ mv "${ED}/usr/bin/augustus" "${ED}/usr/libexec/augustus-game" ||
+ die "Failed to rename executable (required to set default resources location)."
+ newbin - augustus-game <<-EOF
+ #!/usr/bin/env sh
+ exec "${EPREFIX}/usr/libexec/augustus-game" "\${1:-\${HOME}/.local/share/julius/app}"
+ EOF
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ readme.gentoo_print_elog
+}
diff --git a/games-strategy/augustus/files/augustus-3.0.1-musl-fix-execinfo.patch b/games-strategy/augustus/files/augustus-3.0.1-musl-fix-execinfo.patch
new file mode 100644
index 00000000000..e79e8770242
--- /dev/null
+++ b/games-strategy/augustus/files/augustus-3.0.1-musl-fix-execinfo.patch
@@ -0,0 +1,13 @@
+diff --git a/src/core/backtrace.c b/src/core/backtrace.c
+index 374fcdd..daf5c71 100644
+--- a/src/core/backtrace.c
++++ b/src/core/backtrace.c
+@@ -2,7 +2,7 @@
+
+ #include "core/log.h"
+
+-#if defined(__GNUC__) && !defined(__MINGW32__) && !defined(__OpenBSD__) && !defined(__vita__) && !defined(__SWITCH__) && !defined(__ANDROID__) && !defined(__HAIKU__)
++#if defined(__GNUC__) && defined(__GLIBC__) && !defined(__MINGW32__) && !defined(__OpenBSD__) && !defined(__vita__) && !defined(__SWITCH__) && !defined(__ANDROID__) && !defined(__HAIKU__)
+
+ #include <execinfo.h>
+
diff --git a/games-strategy/augustus/files/augustus-3.1.0-musl-fix-execinfo.patch b/games-strategy/augustus/files/augustus-3.1.0-musl-fix-execinfo.patch
new file mode 100644
index 00000000000..97b96cf61e5
--- /dev/null
+++ b/games-strategy/augustus/files/augustus-3.1.0-musl-fix-execinfo.patch
@@ -0,0 +1,12 @@
+# Closes: https://bugs.gentoo.org/829345
+--- a/src/platform/crash_handler.c
++++ b/src/platform/crash_handler.c
+@@ -7,7 +7,7 @@
+
+ #if defined(__GNUC__) && !defined(__MINGW32__) && !defined(__OpenBSD__) && \
+ !defined(__vita__) && !defined(__SWITCH__) && !defined(__ANDROID__) && \
+- !defined(__HAIKU__) && !defined(__EMSCRIPTEN__)
++ !defined(__HAIKU__) && !defined(__EMSCRIPTEN__) && defined(__GLIBC__)
+
+ #include <execinfo.h>
+ #include <signal.h>
diff --git a/games-strategy/freeorion/Manifest b/games-strategy/freeorion/Manifest
index 44124c4f61b..478345ba36f 100644
--- a/games-strategy/freeorion/Manifest
+++ b/games-strategy/freeorion/Manifest
@@ -1,3 +1 @@
-DIST freeorion-0.4.10.1.tar.gz 124693099 BLAKE2B d24c481e7be6f718897bb095209673f24cb7d43842f148cf1e8665254970d22449bf7a4ee4ba7a8cb3b5b515d6bed38a24e2862810959a63b29ba9d3c054e6c4 SHA512 b28a8bdc2428778480ff8404ad7d84153939f4f8b4a75f51775354e3e563f7f309d479e499ea1be8b57822d725cc57ece8dd14f2e40360ab6c07d70c917bc256
-DIST freeorion-0.4.10.1_p20200629.tar.gz 142041599 BLAKE2B a9c14409f31f5ad4d8db95fa33e8f1adb35f7b2a74ea7f173365c7d09979b9a3aa7981ee9deec0427c64844da14ecc323ee54e3331217e2978b49eb86a7a18fb SHA512 b2d4f52e968852569d549c03eca2545b7adac560e5716a21da612dc363b23d790c4481fbd5762f1f1f8da9a8e04894e247ce19363cd96cc2001728912e027d9a
-DIST freeorion-0.4.10.2.tar.gz 124720711 BLAKE2B 4f707b5296bdbc05b2b775b62f0393d1770bcf64c48f08d3332fbbb4b78e1bdc3e8111a1e421a8d0f0e03ca7454bba981809b9486d3d803e39faf042f1145059 SHA512 13832992efe17fe48615ccdf284d1e9f391c35ed518abd15276992128a02894f4b30c8fe3d950e41935efb823cf834dc430330f0bcc6c9e91f13a3dea9812628
+DIST FreeOrion_v0.4.10.2_2021-08-01.f663dad_Source.tar.gz 124836633 BLAKE2B 42224b84a7aef99e998cb025b5095365a65670a3a0a543ef323f444f1904557713dc995de6f7ccaf9a45e34f62b4c65d4977caa0f6ac7605a9978268bdef0ba1 SHA512 a0f327f5fec82cf15495828f60b59b59834efaa041919fe9f68e4428e89b729503b7e666214ea39e5c9afdfbb9efd343c5cbcb8dfc982d6f56b3a06fd898f428
diff --git a/games-strategy/freeorion/files/freeorion.envd b/games-strategy/freeorion/files/freeorion.envd
deleted file mode 100644
index 182c707cb00..00000000000
--- a/games-strategy/freeorion/files/freeorion.envd
+++ /dev/null
@@ -1 +0,0 @@
-LDPATH="/usr/lib64/freeorion:/usr/lib32/freeorion:/usr/lib/freeorion"
diff --git a/games-strategy/freeorion/freeorion-0.4.10.1-r3.ebuild b/games-strategy/freeorion/freeorion-0.4.10.1-r3.ebuild
deleted file mode 100644
index 80259c6eddb..00000000000
--- a/games-strategy/freeorion/freeorion-0.4.10.1-r3.ebuild
+++ /dev/null
@@ -1,77 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python{3_8,3_9} )
-inherit cmake python-single-r1 xdg
-
-DESCRIPTION="A free turn-based space empire and galactic conquest game"
-HOMEPAGE="https://www.freeorion.org"
-
-if [[ ${PV} == 9999 ]]; then
- inherit git-r3
- EGIT_REPO_URI="https://github.com/freeorion/freeorion.git"
-else
- KEYWORDS="~amd64"
- if [[ ${PV} = *_p* ]]; then
- COMMIT=""
- SRC_URI="https://github.com/${PN}/${PN}/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
- S="${WORKDIR}/${PN}-${COMMIT}"
- else
- SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV/_/-}.tar.gz -> ${P}.tar.gz"
- S="${WORKDIR}/${PN}-${PV/_/-}"
- fi
-fi
-
-LICENSE="GPL-2 LGPL-2.1 CC-BY-SA-3.0"
-SLOT="0"
-IUSE="dedicated"
-
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-BDEPEND="
- virtual/pkgconfig
-"
-RDEPEND="
- $(python_gen_cond_dep '
- >=dev-libs/boost-1.58:=[nls,python,threads(+),${PYTHON_USEDEP}]
- ')
- !dedicated? (
- media-libs/freealut
- >=media-libs/freetype-2.5.5
- media-libs/glew:=
- >=media-libs/libogg-1.1.3
- media-libs/libpng:0=
- media-libs/libsdl2[X,opengl,video]
- >=media-libs/libvorbis-1.1.2
- media-libs/openal
- sci-physics/bullet:=
- virtual/opengl
- )
- sys-libs/zlib
- ${PYTHON_DEPS}
-"
-DEPEND="${RDEPEND}"
-
-src_prepare() {
- sed -e "s/-O3//" -i CMakeLists.txt || die
-
- cmake_src_prepare
-}
-
-src_configure() {
- local mycmakeargs=(
- -DCMAKE_BUILD_TYPE=Release
- -DCMAKE_SKIP_RPATH=ON
- -DBUILD_HEADLESS="$(usex dedicated)"
- )
-
- cmake_src_configure
-}
-
-src_install() {
- cmake_src_install
-
- newenvd "${FILESDIR}/${PN}.envd" 99${PN}
-}
diff --git a/games-strategy/freeorion/freeorion-0.4.10.1_p20200629.ebuild b/games-strategy/freeorion/freeorion-0.4.10.1_p20200629.ebuild
deleted file mode 100644
index eac7dfb3feb..00000000000
--- a/games-strategy/freeorion/freeorion-0.4.10.1_p20200629.ebuild
+++ /dev/null
@@ -1,77 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python{3_8,3_9} )
-inherit cmake python-single-r1 xdg
-
-DESCRIPTION="A free turn-based space empire and galactic conquest game"
-HOMEPAGE="https://www.freeorion.org"
-
-if [[ ${PV} == 9999 ]]; then
- inherit git-r3
- EGIT_REPO_URI="https://github.com/freeorion/freeorion.git"
-else
- KEYWORDS="~amd64"
- if [[ ${PV} = *_p* ]]; then
- COMMIT="24a08d6c597ce8afc90ccec485a937982b6c3683"
- SRC_URI="https://github.com/${PN}/${PN}/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
- S="${WORKDIR}/${PN}-${COMMIT}"
- else
- SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV/_/-}.tar.gz -> ${P}.tar.gz"
- S="${WORKDIR}/${PN}-${PV/_/-}"
- fi
-fi
-
-LICENSE="GPL-2 LGPL-2.1 CC-BY-SA-3.0"
-SLOT="0"
-IUSE="dedicated"
-
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-BDEPEND="
- virtual/pkgconfig
-"
-RDEPEND="
- $(python_gen_cond_dep '
- >=dev-libs/boost-1.58:=[nls,python,threads(+),${PYTHON_USEDEP}]
- ')
- !dedicated? (
- media-libs/freealut
- >=media-libs/freetype-2.5.5
- media-libs/glew:=
- >=media-libs/libogg-1.1.3
- media-libs/libpng:0=
- media-libs/libsdl2[X,opengl,video]
- >=media-libs/libvorbis-1.1.2
- media-libs/openal
- sci-physics/bullet:=
- virtual/opengl
- )
- sys-libs/zlib
- ${PYTHON_DEPS}
-"
-DEPEND="${RDEPEND}"
-
-src_prepare() {
- sed -e "s/-O3//" -i CMakeLists.txt || die
-
- cmake_src_prepare
-}
-
-src_configure() {
- local mycmakeargs=(
- -DCMAKE_BUILD_TYPE=Release
- -DCMAKE_SKIP_RPATH=ON
- -DBUILD_HEADLESS="$(usex dedicated)"
- )
-
- cmake_src_configure
-}
-
-src_install() {
- cmake_src_install
-
- newenvd "${FILESDIR}/${PN}.envd" 99${PN}
-}
diff --git a/games-strategy/freeorion/freeorion-0.4.10.2-r1.ebuild b/games-strategy/freeorion/freeorion-0.4.10.2-r1.ebuild
new file mode 100644
index 00000000000..3d3075568e6
--- /dev/null
+++ b/games-strategy/freeorion/freeorion-0.4.10.2-r1.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# note: py3.11 is known failing at runtime with this version
+PYTHON_COMPAT=( python3_{8..10} )
+inherit check-reqs cmake multiprocessing python-single-r1 xdg
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/freeorion/freeorion.git"
+else
+ FREEORION_BUILD_ID="2021-08-01.f663dad"
+ SRC_URI="https://github.com/freeorion/freeorion/releases/download/v${PV}/FreeOrion_v${PV}_${FREEORION_BUILD_ID}_Source.tar.gz"
+ S="${WORKDIR}/src-tarball"
+ KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="Free turn-based space empire and galactic conquest game"
+HOMEPAGE="https://www.freeorion.org/"
+
+LICENSE="GPL-2+ CC-BY-SA-3.0 LGPL-2.1+"
+SLOT="0"
+IUSE="dedicated doc test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ ${PYTHON_DEPS}
+ $(python_gen_cond_dep 'dev-libs/boost:=[${PYTHON_USEDEP},nls,python]')
+ sys-libs/zlib:=
+ !dedicated? (
+ media-libs/freetype
+ media-libs/glew:=
+ media-libs/libglvnd[X]
+ media-libs/libogg
+ media-libs/libpng:=
+ media-libs/libsdl2[opengl,video]
+ media-libs/libvorbis
+ media-libs/openal
+ )"
+RDEPEND="
+ ${DEPEND}
+ !dedicated? (
+ media-fonts/dejavu
+ media-fonts/roboto
+ )"
+BDEPEND="
+ ${PYTHON_DEPS}
+ doc? (
+ app-doc/doxygen
+ media-gfx/graphviz
+ )
+ test? (
+ $(python_gen_cond_dep 'dev-python/pytest[${PYTHON_USEDEP}]')
+ )"
+
+freeorion_check-reqs() {
+ # cc1plus processes may suddenly use ~1.5GB all at once early on (2+GB
+ # if debug symbols) then far less for the rest, check minimal jobs*1.5
+ local CHECKREQS_MEMORY=$(($(makeopts_jobs)*1500))M
+ check-reqs_${EBUILD_PHASE_FUNC}
+}
+
+pkg_pretend() {
+ freeorion_check-reqs
+}
+
+pkg_setup() {
+ freeorion_check-reqs
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ cmake_src_prepare
+
+ sed -i 's/-O3//' CMakeLists.txt || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_HEADLESS=$(usex dedicated)
+ -DBUILD_TESTING=$(usex test)
+ )
+
+ cmake_src_configure
+}
+
+src_compile() {
+ cmake_src_compile all $(usev doc)
+}
+
+src_test() {
+ # freeoriond randomly(?) segfaults on exit, cause unknown but
+ # seems fixed by some refactoring in -9999 (excluding for now)
+ cmake_src_test -E 'SmokeTest(Game|Hostless)'
+
+ epytest -o cache_dir="${T}"/pytest_cache default/python/tests
+}
+
+src_install() {
+ local DOCS=( ChangeLog.md README.md )
+ cmake_src_install
+
+ use doc && dodoc -r "${BUILD_DIR}"/doc/cpp-apidoc/html
+
+ if use dedicated; then
+ rm -r "${ED}"/usr/share/freeorion/default/data/fonts || die
+ else
+ local font
+ for font in roboto/Roboto-{Bold,Regular}.ttf dejavu/DejaVuSans{-Bold,}.ttf; do
+ dosym -r /usr/share/{fonts/${font%/*},${PN}/default/data/fonts}/${font##*/}
+ done
+ rm "${ED}"/usr/share/${PN}/default/data/fonts/LICENSE.{Roboto,DejaVu} || die
+ fi
+}
diff --git a/games-strategy/freeorion/freeorion-0.4.10.2.ebuild b/games-strategy/freeorion/freeorion-0.4.10.2.ebuild
deleted file mode 100644
index 8931083dbe8..00000000000
--- a/games-strategy/freeorion/freeorion-0.4.10.2.ebuild
+++ /dev/null
@@ -1,77 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8..10} )
-inherit cmake python-single-r1 xdg
-
-DESCRIPTION="A free turn-based space empire and galactic conquest game"
-HOMEPAGE="https://www.freeorion.org"
-
-if [[ ${PV} == 9999 ]]; then
- inherit git-r3
- EGIT_REPO_URI="https://github.com/freeorion/freeorion.git"
-else
- KEYWORDS="~amd64"
- if [[ ${PV} = *_p* ]]; then
- COMMIT=""
- SRC_URI="https://github.com/${PN}/${PN}/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
- S="${WORKDIR}/${PN}-${COMMIT}"
- else
- SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV/_/-}.tar.gz -> ${P}.tar.gz"
- S="${WORKDIR}/${PN}-${PV/_/-}"
- fi
-fi
-
-LICENSE="GPL-2 LGPL-2.1 CC-BY-SA-3.0"
-SLOT="0"
-IUSE="dedicated"
-
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-BDEPEND="
- virtual/pkgconfig
-"
-RDEPEND="
- $(python_gen_cond_dep '
- >=dev-libs/boost-1.60:=[nls,python,threads(+),${PYTHON_USEDEP}]
- ')
- !dedicated? (
- media-libs/freealut
- >=media-libs/freetype-2.5.5
- media-libs/glew:=
- >=media-libs/libogg-1.1.3
- media-libs/libpng:0=
- media-libs/libsdl2[X,opengl,video]
- >=media-libs/libvorbis-1.1.2
- media-libs/openal
- sci-physics/bullet:=
- virtual/opengl
- )
- sys-libs/zlib
- ${PYTHON_DEPS}
-"
-DEPEND="${RDEPEND}"
-
-src_prepare() {
- sed -e "s/-O3//" -i CMakeLists.txt || die
-
- cmake_src_prepare
-}
-
-src_configure() {
- local mycmakeargs=(
- -DCMAKE_BUILD_TYPE=Release
- -DCMAKE_SKIP_RPATH=ON
- -DBUILD_HEADLESS="$(usex dedicated)"
- )
-
- cmake_src_configure
-}
-
-src_install() {
- cmake_src_install
-
- newenvd "${FILESDIR}/${PN}.envd" 99${PN}
-}
diff --git a/games-strategy/freeorion/freeorion-9999.ebuild b/games-strategy/freeorion/freeorion-9999.ebuild
index 8931083dbe8..d725cfe3880 100644
--- a/games-strategy/freeorion/freeorion-9999.ebuild
+++ b/games-strategy/freeorion/freeorion-9999.ebuild
@@ -4,74 +4,112 @@
EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
-inherit cmake python-single-r1 xdg
-
-DESCRIPTION="A free turn-based space empire and galactic conquest game"
-HOMEPAGE="https://www.freeorion.org"
+inherit check-reqs cmake multiprocessing python-single-r1 xdg
if [[ ${PV} == 9999 ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/freeorion/freeorion.git"
else
+ FREEORION_BUILD_ID=""
+ SRC_URI="https://github.com/freeorion/freeorion/releases/download/v${PV}/FreeOrion_v${PV}_${FREEORION_BUILD_ID}_Source.tar.gz"
+ S="${WORKDIR}/src-tarball"
KEYWORDS="~amd64"
- if [[ ${PV} = *_p* ]]; then
- COMMIT=""
- SRC_URI="https://github.com/${PN}/${PN}/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
- S="${WORKDIR}/${PN}-${COMMIT}"
- else
- SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV/_/-}.tar.gz -> ${P}.tar.gz"
- S="${WORKDIR}/${PN}-${PV/_/-}"
- fi
fi
-LICENSE="GPL-2 LGPL-2.1 CC-BY-SA-3.0"
-SLOT="0"
-IUSE="dedicated"
+DESCRIPTION="Free turn-based space empire and galactic conquest game"
+HOMEPAGE="https://www.freeorion.org/"
+LICENSE="GPL-2+ CC-BY-SA-3.0 LGPL-2.1+"
+SLOT="0"
+IUSE="dedicated doc test"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
-BDEPEND="
- virtual/pkgconfig
-"
-RDEPEND="
- $(python_gen_cond_dep '
- >=dev-libs/boost-1.60:=[nls,python,threads(+),${PYTHON_USEDEP}]
- ')
+DEPEND="
+ ${PYTHON_DEPS}
+ $(python_gen_cond_dep 'dev-libs/boost:=[${PYTHON_USEDEP},nls,python]')
+ sys-libs/zlib:=
!dedicated? (
- media-libs/freealut
- >=media-libs/freetype-2.5.5
+ media-libs/freetype
media-libs/glew:=
- >=media-libs/libogg-1.1.3
- media-libs/libpng:0=
- media-libs/libsdl2[X,opengl,video]
- >=media-libs/libvorbis-1.1.2
+ media-libs/libglvnd
+ media-libs/libogg
+ media-libs/libpng:=
+ media-libs/libsdl2[opengl,video]
+ media-libs/libvorbis
media-libs/openal
- sci-physics/bullet:=
- virtual/opengl
- )
- sys-libs/zlib
+ )"
+RDEPEND="
+ ${DEPEND}
+ !dedicated? (
+ media-fonts/dejavu
+ media-fonts/roboto
+ )"
+BDEPEND="
${PYTHON_DEPS}
-"
-DEPEND="${RDEPEND}"
+ doc? (
+ app-doc/doxygen
+ media-gfx/graphviz
+ )
+ test? (
+ $(python_gen_cond_dep 'dev-python/pytest[${PYTHON_USEDEP}]')
+ )"
-src_prepare() {
- sed -e "s/-O3//" -i CMakeLists.txt || die
+freeorion_check-reqs() {
+ # cc1plus processes may suddenly use ~1.5GB all at once early on (2+GB
+ # if debug symbols) then far less for the rest, check minimal jobs*1.5
+ local CHECKREQS_MEMORY=$(($(makeopts_jobs)*1500))M
+ check-reqs_${EBUILD_PHASE_FUNC}
+}
+pkg_pretend() {
+ freeorion_check-reqs
+}
+
+pkg_setup() {
+ freeorion_check-reqs
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
cmake_src_prepare
+
+ sed -i 's/-O3//' CMakeLists.txt || die
}
src_configure() {
local mycmakeargs=(
- -DCMAKE_BUILD_TYPE=Release
- -DCMAKE_SKIP_RPATH=ON
- -DBUILD_HEADLESS="$(usex dedicated)"
+ -DBUILD_CLIENT_GG=$(usex !dedicated)
+ -DBUILD_CLIENT_GODOT=no # TODO, perhaps with system godot (experimental)
+ -DBUILD_TESTING=$(usex test)
)
cmake_src_configure
}
+src_compile() {
+ cmake_src_compile all $(usev doc)
+}
+
+src_test() {
+ cmake_src_test -j1 # avoid running 2 conflicting servers
+
+ epytest -o cache_dir="${T}"/pytest_cache default/python/tests
+}
+
src_install() {
+ local DOCS=( ChangeLog.md README.md )
cmake_src_install
- newenvd "${FILESDIR}/${PN}.envd" 99${PN}
+ use doc && dodoc -r "${BUILD_DIR}"/doc/cpp-apidoc/html
+
+ if use dedicated; then
+ rm -r "${ED}"/usr/share/freeorion/default/data/fonts || die
+ else
+ local font
+ for font in roboto/Roboto-{Bold,Regular}.ttf dejavu/DejaVuSans{-Bold,}.ttf; do
+ dosym -r /usr/share/{fonts/${font%/*},${PN}/default/data/fonts}/${font##*/}
+ done
+ rm "${ED}"/usr/share/${PN}/default/data/fonts/LICENSE.{Roboto,DejaVu} || die
+ fi
}
diff --git a/games-strategy/freeorion/metadata.xml b/games-strategy/freeorion/metadata.xml
index d2427c695d8..07e33aa8925 100644
--- a/games-strategy/freeorion/metadata.xml
+++ b/games-strategy/freeorion/metadata.xml
@@ -1,9 +1,9 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>np-hardass@gentoo.org</email>
- <name>NP-hardass</name>
+ <maintainer type="project">
+ <email>games@gentoo.org</email>
+ <name>Gentoo Games Project</name>
</maintainer>
<longdescription lang="en">
FreeOrion is a free, open source, turn-based space empire and
diff --git a/games-strategy/julius/files/julius-1.6.0-musl-fix-execinfo.patch b/games-strategy/julius/files/julius-1.6.0-musl-fix-execinfo.patch
new file mode 100644
index 00000000000..08a136ef5cb
--- /dev/null
+++ b/games-strategy/julius/files/julius-1.6.0-musl-fix-execinfo.patch
@@ -0,0 +1,14 @@
+# Fix building on musl
+#
+# Closes: https://bugs.gentoo.org/829246
+--- a/src/core/backtrace.c
++++ b/src/core/backtrace.c
+@@ -2,7 +2,7 @@
+
+ #include "core/log.h"
+
+-#if defined(__GNUC__) && !defined(__MINGW32__) && !defined(__OpenBSD__) && !defined(__vita__) && !defined(__SWITCH__) && !defined(__ANDROID__)
++#if defined(__GNUC__) && defined(__GLIBC__) && !defined(__MINGW32__) && !defined(__OpenBSD__) && !defined(__vita__) && !defined(__SWITCH__) && !defined(__ANDROID__)
+
+ #include <execinfo.h>
+
diff --git a/games-strategy/julius/julius-1.6.0.ebuild b/games-strategy/julius/julius-1.6.0.ebuild
index 31fae63d429..9852bbf898a 100644
--- a/games-strategy/julius/julius-1.6.0.ebuild
+++ b/games-strategy/julius/julius-1.6.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/bvschaik/julius/archive/v${PV}.tar.gz -> ${P}.tar.gz
LICENSE="AGPL-3"
SLOT="0"
-KEYWORDS="~amd64 ~arm64"
+KEYWORDS="~amd64 ~arm64 ~ppc64"
DEPEND="
media-libs/libpng:=
@@ -24,6 +24,7 @@ RDEPEND="
PATCHES=(
"${FILESDIR}"/${PN}-1.4.1-rename.patch
+ "${FILESDIR}"/${PN}-1.6.0-musl-fix-execinfo.patch
)
src_install() {
diff --git a/games-strategy/naev/Manifest b/games-strategy/naev/Manifest
index 609d3dd7ae6..8bb1bc86a06 100644
--- a/games-strategy/naev/Manifest
+++ b/games-strategy/naev/Manifest
@@ -1 +1,2 @@
DIST naev-0.9.3-source.tar.xz 394876456 BLAKE2B 9648ee9a93a02ec5ace552b25033cae16c38a48a869763bc381050f2724445fd5cf08708053ad4c939cdc99a27244126819e9416bc61d8d6148078eeea26e50e SHA512 150091f10ce05cbd5b2c4c434abe83124db56618b80f727994c135d1331c594406c9e8f03596feddb5739061c866e19b115fd0a86a19ea306cc811bb3dd944aa
+DIST naev-0.9.4-source.tar.xz 395461576 BLAKE2B cbfdc443ecb8cb27694769d054f7162c3d1d2bcd8dc28045696d6891abfb46e4a3518ce265c97b55a96b8d000c9900e4bc49ae7b45a16db75f9de48ea0cb702b SHA512 e8efb115d8d623ea92d348854d98ee22e8863aaf6555efa058d6160210f000186ae39f054f5b4f0fa8d92949de83defa35d4acd8216398157a1a42886745ddab
diff --git a/games-strategy/naev/naev-0.9.4.ebuild b/games-strategy/naev/naev-0.9.4.ebuild
new file mode 100644
index 00000000000..737c5df6c89
--- /dev/null
+++ b/games-strategy/naev/naev-0.9.4.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-1 luajit )
+PYTHON_COMPAT=( python3_{8..11} )
+inherit lua-single meson python-any-r1 virtualx xdg
+
+DESCRIPTION="2D space trading and combat game, in a similar vein to Escape Velocity"
+HOMEPAGE="https://naev.org/"
+SRC_URI="https://github.com/naev/naev/releases/download/v${PV}/${P}-source.tar.xz"
+
+LICENSE="
+ GPL-3+ BSD BSD-2 CC-BY-2.0 CC-BY-3.0 CC-BY-4.0 CC-BY-SA-2.0
+ CC-BY-SA-3.0 CC-BY-SA-4.0 CC0-1.0 MIT public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+
+RDEPEND="
+ ${LUA_DEPS}
+ dev-games/physfs
+ dev-libs/libunibreak:=
+ dev-libs/libxml2
+ media-libs/freetype:2
+ media-libs/libglvnd[X]
+ media-libs/libsdl2[joystick,opengl,video]
+ media-libs/libvorbis
+ media-libs/openal
+ media-libs/sdl2-image[png,webp]
+ sci-libs/cholmod
+ sci-libs/cxsparse
+ sci-libs/openblas
+ sci-libs/suitesparse
+ sci-mathematics/glpk:=
+ virtual/libintl"
+DEPEND="
+ ${RDEPEND}
+ test? (
+ dev-games/physfs[zip]
+ media-libs/libsdl2[X]
+ media-libs/mesa[llvm]
+ )"
+BDEPEND="
+ $(python_gen_any_dep 'dev-python/pyyaml[${PYTHON_USEDEP}]')
+ sys-devel/gettext
+ doc? (
+ app-doc/doxygen[dot]
+ dev-lua/ldoc
+ )"
+
+python_check_deps() {
+ python_has_version "dev-python/pyyaml[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+ lua-single_pkg_setup
+ python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ sed -i "s/'lua51'/'lua'/" meson.build || die
+}
+
+src_configure() {
+ local emesonargs=(
+ $(meson_feature doc docs_c)
+ $(meson_feature doc docs_lua)
+ $(meson_feature lua_single_target_luajit luajit)
+ )
+
+ meson_src_configure
+}
+
+src_test() {
+ virtx meson_src_test
+}
+
+src_install() {
+ local DOCS=( CHANGELOG Readme.md )
+ meson_src_install
+
+ if use doc; then
+ dodir /usr/share/doc/${PF}/html
+ mv "${ED}"/usr/{doc/naev/{c,lua},share/doc/${PF}/html} || die
+ rm -r "${ED}"/usr/doc || die
+ fi
+ rm -r "${ED}"/usr/share/doc/naev || die
+}
diff --git a/games-strategy/s25rttr/s25rttr-0.9.5.ebuild b/games-strategy/s25rttr/s25rttr-0.9.5.ebuild
index 47d74e0d261..465e763ee22 100644
--- a/games-strategy/s25rttr/s25rttr-0.9.5.ebuild
+++ b/games-strategy/s25rttr/s25rttr-0.9.5.ebuild
@@ -13,7 +13,7 @@ HOMEPAGE="https://www.siedler25.org/"
SRC_URI="https://github.com/Return-To-The-Roots/${MY_PN}/releases/download/v${PV}/${MY_PN}_src_v${PV}.tar.gz"
LICENSE="GPL-2+ GPL-3 Boost-1.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
REQUIRED_USE="${LUA_REQUIRED_USE}"
diff --git a/games-strategy/seven-kingdoms/seven-kingdoms-2.15.5.ebuild b/games-strategy/seven-kingdoms/seven-kingdoms-2.15.5.ebuild
index 003704713e9..a373d565385 100644
--- a/games-strategy/seven-kingdoms/seven-kingdoms-2.15.5.ebuild
+++ b/games-strategy/seven-kingdoms/seven-kingdoms-2.15.5.ebuild
@@ -16,7 +16,7 @@ SRC_URI="https://github.com/the3dfxdude/${MY_PN}/releases/download/v${MY_PV}/${M
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
DEPEND="net-libs/enet:1.3=
media-libs/libsdl2[X,video]
diff --git a/games-strategy/war1gus/Manifest b/games-strategy/war1gus/Manifest
index 16118d27c70..bd71fbe515d 100644
--- a/games-strategy/war1gus/Manifest
+++ b/games-strategy/war1gus/Manifest
@@ -1,6 +1,3 @@
-DIST war1gus-2.4.3.tar.gz 436938 BLAKE2B 662c3e2d16d4ca3225a50ec28ff6ae11f9c309a02c1b71e26a28155012395091dec7833a4f32a0ee6c19119a9c0aa2aa96cb465b06937da8efdd54b040189778 SHA512 909dc3375a00a4ff05eb287e6a1e3414b084f51cda37fe73ab4d728eb2d13e3e0e8612700a90e000d67a9ddffb115fe41554a4ad9db9f68e0b62cdbc0d025ae0
-DIST war1gus-3.0.0.tar.gz 446245 BLAKE2B f58d8fe8248cc7cc661a5c2dabef9b13410eb3530bb045c03c54abeea8028e26ada3bd98d50680165b3ce35b17a08acba2b953b8c896de990cdbb3acf59cd4ae SHA512 fad712945e939fededf202181523b34945ba58ded5b5ea8089709860b63ad9c9766eb926293e5195c14f0dc3b8531ac0ae4654ab6b6718068648f9efc0fb817c
-DIST war1gus-3.1.0.tar.gz 395576 BLAKE2B 3fe8341bac0811c86e8240a07500dc42972a275e6a0e3b1543246afa8e5ba86c7a56a3b49e1c7e7321067a5a66eeb5fe69b529650edfdcc14407d1062e47b1a9 SHA512 68a5f100f5973ab2666f4cd486914531587a27e13c2aef0d11b08c459bd43d5257a423a1648c86ace58b27b048eeca24afb23d09c07a6a32d32845bc49701a33
-DIST war1gus-3.1.1.tar.gz 395477 BLAKE2B 5e304e8e2982e971c479d41b52958bc143518008d3452903f4a4c2d40cf3ea355ac7391d5da3ff2fa3c27d89a45270e64ddb7ee161e4531df54866f3a498dc0b SHA512 3657a2ea21d01559edcc44cecd0090df058f90d1f783b3e5a885f41fc8f4104a5063db50d0c6d3055d1181330486c54d7d3cfc6c3a795a82bcc25dcf67cc3fb5
-DIST war1gus-3.1.2.tar.gz 397685 BLAKE2B fabcd74d0f8622eed5f7b1c77dcbee8bee0e47bf51c5873d2565cfe200e2e21f5bbb54699cc2afd9b457e998f88b259494a3ee7394f912d6ef159f69ba8777a5 SHA512 64a6c03645cb8f0b4b8fe963e554842988efa74273a58213f047eecd322dfc77d5b4951dd4f0cb5dbd27e0c0f83d825e7fc7fd0102b83c4dbc90bee65c3d8ba1
DIST war1gus-3.2.0.tar.gz 408417 BLAKE2B 8369d380813aa6a5c7484e7b668284ee3b59bd4a914b82b074640344af977c08727260efc284a5ffc7d5c52ef7ae0ab45b484d87d855a088198b02adf5240bac SHA512 2e3509792509730254e9292dce66491e848980a37171281dcd851aaa0662a3dd8911444d97c25486acb61fa5ad913da3bb397ddd599cd7ea1293b0afbfc88bc6
+DIST war1gus-3.3.0.tar.gz 486274 BLAKE2B 90675ce44cab26079c53ebd70377ea24bef3894d1f194f45496a0df6528e1bb63184f3c93f843ab9176ad02c542a9e51fbfa9f4af3bce6018fa7085d31494998 SHA512 9e17101954f7e953ba11cebd2f62eb9e3465217897bd55699846d6290fa5d249574d144f271e08485bc38ef7dd63e5efa05437faa5191148d1ea9341157834ea
+DIST war1gus-3.3.1.tar.gz 486322 BLAKE2B cdf3db536c6cae2327ba044da13f2743c299481503723d00fbfeb8103932a0065afb0771f1719264fa7ed298b876f2189bc9c1def2b4fcc6c1b4a45992d0d322 SHA512 947592a220aeae99840abc88c5086d681afb72971f25f3e42c475d416529bb0341ca409aa5459e049d1dbe4b937cf25c29c6445958c5c61e26a67c4a4dd7ccb0
diff --git a/games-strategy/war1gus/war1gus-2.4.3.ebuild b/games-strategy/war1gus/war1gus-2.4.3.ebuild
deleted file mode 100644
index 7871af95da1..00000000000
--- a/games-strategy/war1gus/war1gus-2.4.3.ebuild
+++ /dev/null
@@ -1,60 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit cmake xdg-utils
-
-DESCRIPTION="Warcraft: Orcs & Humans for the Stratagus game engine"
-HOMEPAGE="https://wargus.github.io/war1gus.html
- https://github.com/Wargus/war1gus"
-SRC_URI="https://github.com/Wargus/war1gus/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-RDEPEND="
- =games-engines/stratagus-${PV}*[theora]
- media-libs/libpng:0=
- sys-libs/zlib:=
- x11-libs/gtk+:2
- x11-libs/libX11"
-DEPEND="${RDEPEND}"
-BDEPEND="
- virtual/pkgconfig"
-
-src_configure() {
- local mycmakeargs=(
- -DGAMEDIR="${EPREFIX}/usr/bin"
- -DBINDIR="${EPREFIX}/usr/bin"
- -DSTRATAGUS="${EPREFIX}/usr/bin/stratagus"
- -DSHAREDIR="${EPREFIX}/usr/share/stratagus/war1gus"
- -DICONDIR=/usr/share/icons/hicolor/64x64/apps
- )
- cmake_src_configure
-}
-
-pkg_postinst() {
- elog "War1gus requires the data from the original game to run. The game"
- elog "will ask you for the location of the game data and extract/convert"
- elog "it automatically on the first run."
-
- if ! has_version media-video/ffmpeg ||
- ! has_version media-sound/timidity++
- then
- elog
- elog "If you did not convert the game data yet, you may want to install"
- elog "the following optional dependencies:"
- elog
- elog "media-video/ffmpeg -- to convert game videos"
- elog "media-sound/timidity++ -- to convert game music"
- fi
-
- xdg_icon_cache_update
-}
-
-pkg_postrm() {
- xdg_icon_cache_update
-}
diff --git a/games-strategy/war1gus/war1gus-3.0.0.ebuild b/games-strategy/war1gus/war1gus-3.0.0.ebuild
deleted file mode 100644
index 7871af95da1..00000000000
--- a/games-strategy/war1gus/war1gus-3.0.0.ebuild
+++ /dev/null
@@ -1,60 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit cmake xdg-utils
-
-DESCRIPTION="Warcraft: Orcs & Humans for the Stratagus game engine"
-HOMEPAGE="https://wargus.github.io/war1gus.html
- https://github.com/Wargus/war1gus"
-SRC_URI="https://github.com/Wargus/war1gus/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-RDEPEND="
- =games-engines/stratagus-${PV}*[theora]
- media-libs/libpng:0=
- sys-libs/zlib:=
- x11-libs/gtk+:2
- x11-libs/libX11"
-DEPEND="${RDEPEND}"
-BDEPEND="
- virtual/pkgconfig"
-
-src_configure() {
- local mycmakeargs=(
- -DGAMEDIR="${EPREFIX}/usr/bin"
- -DBINDIR="${EPREFIX}/usr/bin"
- -DSTRATAGUS="${EPREFIX}/usr/bin/stratagus"
- -DSHAREDIR="${EPREFIX}/usr/share/stratagus/war1gus"
- -DICONDIR=/usr/share/icons/hicolor/64x64/apps
- )
- cmake_src_configure
-}
-
-pkg_postinst() {
- elog "War1gus requires the data from the original game to run. The game"
- elog "will ask you for the location of the game data and extract/convert"
- elog "it automatically on the first run."
-
- if ! has_version media-video/ffmpeg ||
- ! has_version media-sound/timidity++
- then
- elog
- elog "If you did not convert the game data yet, you may want to install"
- elog "the following optional dependencies:"
- elog
- elog "media-video/ffmpeg -- to convert game videos"
- elog "media-sound/timidity++ -- to convert game music"
- fi
-
- xdg_icon_cache_update
-}
-
-pkg_postrm() {
- xdg_icon_cache_update
-}
diff --git a/games-strategy/war1gus/war1gus-3.1.1.ebuild b/games-strategy/war1gus/war1gus-3.1.1.ebuild
deleted file mode 100644
index ae327b99a8c..00000000000
--- a/games-strategy/war1gus/war1gus-3.1.1.ebuild
+++ /dev/null
@@ -1,61 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit cmake xdg-utils
-
-DESCRIPTION="Warcraft: Orcs & Humans for the Stratagus game engine"
-HOMEPAGE="
- https://stratagus.com/war1gus.html
- https://github.com/Wargus/war1gus"
-SRC_URI="https://github.com/Wargus/war1gus/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-RDEPEND="
- =games-engines/stratagus-${PV}*[theora]
- media-libs/libpng:0=
- sys-libs/zlib:=
- x11-libs/gtk+:2
- x11-libs/libX11"
-DEPEND="${RDEPEND}"
-BDEPEND="
- virtual/pkgconfig"
-
-src_configure() {
- local mycmakeargs=(
- -DGAMEDIR="${EPREFIX}/usr/bin"
- -DBINDIR="${EPREFIX}/usr/bin"
- -DSTRATAGUS="${EPREFIX}/usr/bin/stratagus"
- -DSHAREDIR="${EPREFIX}/usr/share/stratagus/war1gus"
- -DICONDIR=/usr/share/icons/hicolor/64x64/apps
- )
- cmake_src_configure
-}
-
-pkg_postinst() {
- elog "War1gus requires the data from the original game to run. The game"
- elog "will ask you for the location of the game data and extract/convert"
- elog "it automatically on the first run."
-
- if ! has_version media-video/ffmpeg ||
- ! has_version media-sound/timidity++
- then
- elog
- elog "If you did not convert the game data yet, you may want to install"
- elog "the following optional dependencies:"
- elog
- elog "media-video/ffmpeg -- to convert game videos"
- elog "media-sound/timidity++ -- to convert game music"
- fi
-
- xdg_icon_cache_update
-}
-
-pkg_postrm() {
- xdg_icon_cache_update
-}
diff --git a/games-strategy/war1gus/war1gus-3.1.2.ebuild b/games-strategy/war1gus/war1gus-3.3.0.ebuild
index ae327b99a8c..d61b049b185 100644
--- a/games-strategy/war1gus/war1gus-3.1.2.ebuild
+++ b/games-strategy/war1gus/war1gus-3.3.0.ebuild
@@ -1,30 +1,37 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
inherit cmake xdg-utils
DESCRIPTION="Warcraft: Orcs & Humans for the Stratagus game engine"
HOMEPAGE="
https://stratagus.com/war1gus.html
- https://github.com/Wargus/war1gus"
-SRC_URI="https://github.com/Wargus/war1gus/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ https://github.com/Wargus/war1gus/
+"
+SRC_URI="
+ https://github.com/Wargus/war1gus/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz
+"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE=""
-RDEPEND="
+DEPEND="
=games-engines/stratagus-${PV}*[theora]
media-libs/libpng:0=
sys-libs/zlib:=
x11-libs/gtk+:2
- x11-libs/libX11"
-DEPEND="${RDEPEND}"
+ x11-libs/libX11
+"
+RDEPEND="
+ ${DEPEND}
+"
BDEPEND="
- virtual/pkgconfig"
+ virtual/pkgconfig
+"
src_configure() {
local mycmakeargs=(
diff --git a/games-strategy/war1gus/war1gus-3.1.0.ebuild b/games-strategy/war1gus/war1gus-3.3.1.ebuild
index ae327b99a8c..d61b049b185 100644
--- a/games-strategy/war1gus/war1gus-3.1.0.ebuild
+++ b/games-strategy/war1gus/war1gus-3.3.1.ebuild
@@ -1,30 +1,37 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
inherit cmake xdg-utils
DESCRIPTION="Warcraft: Orcs & Humans for the Stratagus game engine"
HOMEPAGE="
https://stratagus.com/war1gus.html
- https://github.com/Wargus/war1gus"
-SRC_URI="https://github.com/Wargus/war1gus/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ https://github.com/Wargus/war1gus/
+"
+SRC_URI="
+ https://github.com/Wargus/war1gus/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz
+"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE=""
-RDEPEND="
+DEPEND="
=games-engines/stratagus-${PV}*[theora]
media-libs/libpng:0=
sys-libs/zlib:=
x11-libs/gtk+:2
- x11-libs/libX11"
-DEPEND="${RDEPEND}"
+ x11-libs/libX11
+"
+RDEPEND="
+ ${DEPEND}
+"
BDEPEND="
- virtual/pkgconfig"
+ virtual/pkgconfig
+"
src_configure() {
local mycmakeargs=(
diff --git a/games-strategy/wargus/Manifest b/games-strategy/wargus/Manifest
index 3eabf6a8f07..256fed47430 100644
--- a/games-strategy/wargus/Manifest
+++ b/games-strategy/wargus/Manifest
@@ -1,6 +1,3 @@
-DIST wargus-2.4.3.tar.gz 46635465 BLAKE2B be559e6efdba7542e9ed65f4ece5419b781b61d7d6d43b40418ca8dffc446fa7478f608d7f24696281c7acbda4dc5bf8d808feeb3376ae3e8a04b3372d18ace1 SHA512 0c9eca898146c44e211e0da7061cb605eb04ab113fd9ad0c51f9b92df8724a5b28aea9b7cf9bfadd44f0183f8b5c519d7da0050b260624f4f7da4b9f8aee458c
-DIST wargus-3.0.0.tar.gz 4890178 BLAKE2B 7ab4a4b5e8171b2297e17f0338a5fd674cff7beb3457e33c7938c12f9a262d81b9faf2db6ae00fdbbef440624880c37bfe61c2b9957e943cf13d364544f58a65 SHA512 70bf6a5a3d489c9d88bf28e65eea85936ac42850b9c8f27c5cb4a7ba8ff28c609274235c735abb4de92e5c63113d4850adc1da313ff39cbdee797de6b9e1cc43
-DIST wargus-3.1.0.tar.gz 4977868 BLAKE2B 063d47f53b58360c3ccc1aea301f4731a0108a52867b529a1f3935e500e569c11775074241ed8acd58ee7b33064831abebee693a9720927a1432c3f4ed9b17dc SHA512 9e4c3ed955cbf0ff38fd8a847a9590fb3588923b88065a8eb3d2e82fa20b10cd00d507b74c5440486237eb20b71435f72c219efdf288eb67fca594050622f169
-DIST wargus-3.1.1.tar.gz 4982124 BLAKE2B 1dd583c46f841c03d0e859e3c79da72da5866c5f6c67d1e23bf186935f2ae8d539e6dec36bb7c41b6f74af3a4f93c308489c802890c982a13aa68ba2cfbc4626 SHA512 8ec6a3dd11db9cb5984c9d61882beac0851f744203f9d90f23783b8a6b7f2728a180d7354c2e85d7ec8105c731a3e6996f5a688ce6bf5fa9437040c09cea6a59
-DIST wargus-3.1.2.tar.gz 4981468 BLAKE2B 76e925a6cd469a583adffe67f53a407f919b93c6700aeaa182db05b07691d64e6040d6f9f80461b14b81b412882bb58b976253b382d9e4aced7d1429c28832d2 SHA512 6925eab28b63222c4957b40c7b9a57ca231a18a7b36509c90f72d563a43a2ac4bd82bda3ca02e68099045fcddf10dd36c5a93c6f114f7bdcfb67afa7c7471b1e
DIST wargus-3.2.0.tar.gz 5062175 BLAKE2B e742c2dae21aa5a8a05ef8a4cefc7d1245707d401aa9e14dfc633aeac0e4e4e54459c0ce07cbd32aed842c3dcf57ea8df39fcfc34a9316211146a61ce71464dc SHA512 bc85304c0994abf778cf157d1013d9dea18e1d761a3b432018641211824bcdb2e424c938842848d8c7a670d8660289b5860342a99be7af259cf8eaf883af1285
+DIST wargus-3.3.0.tar.gz 5094634 BLAKE2B aa0b02d62dc8620ba9517e5c7d1e8193f2c4c0e20b9b96b91cd5aa57fefdfda7354c82d67507aea67704adc7c77d90b858f0f3fb78d2a1bf430b5c4c5251f432 SHA512 3a2bd04aed0ced18a11ab925ca3d4da98f8848b45a0716fe5164ee5e0f9c76a63d7783d9ba94f3de022622e841f0257cb59d507ea772b2cc42419cef01ea8cbc
+DIST wargus-3.3.1.tar.gz 5094251 BLAKE2B b5f3674db93a8973f166e6dd0dcd9adeee330aa3932b97218b10e3540f5bc6123c977f45463d77c1cf6cc8d5dcadf39d799551311e9a891ec91200e668febcd8 SHA512 33a642d87a9a0d407fd8591fbb19d5357b5d7ae2fa3319512776feb0b6dbdc4d403e82de907235a9614302b5b0af466da37af21f7f4093715d39fe7e7da30468
diff --git a/games-strategy/wargus/wargus-2.4.3.ebuild b/games-strategy/wargus/wargus-2.4.3.ebuild
deleted file mode 100644
index 23954b3347a..00000000000
--- a/games-strategy/wargus/wargus-2.4.3.ebuild
+++ /dev/null
@@ -1,71 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit cmake xdg-utils
-
-DESCRIPTION="Warcraft II for the Stratagus game engine"
-HOMEPAGE="https://wargus.github.io/
- https://github.com/Wargus/wargus"
-SRC_URI="https://github.com/Wargus/wargus/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-RDEPEND="
- =games-engines/stratagus-${PV}*[theora]
- media-libs/libpng:0=
- sys-libs/zlib:=
- x11-libs/gtk+:2
- x11-libs/libX11
- !games-strategy/wargus-data"
-DEPEND="${RDEPEND}"
-BDEPEND="
- virtual/pkgconfig"
-
-pkg_pretend() {
- if has_version games-strategy/wargus-data; then
- ewarn "The system-wide install of game data via games-strategy/wargus-data"
- ewarn "no longer works. The old data will be uninstalled after merging"
- ewarn "this version of Wargus. If you would like to preserve it, please"
- ewarn "abort the process and back /usr/share/stratagus/wargus up."
- fi
-}
-
-src_configure() {
- local mycmakeargs=(
- -DGAMEDIR="${EPREFIX}/usr/bin"
- -DBINDIR="${EPREFIX}/usr/bin"
- -DSTRATAGUS="${EPREFIX}/usr/bin/stratagus"
- -DSHAREDIR="${EPREFIX}/usr/share/stratagus/wargus"
- -DICONDIR=/usr/share/icons/hicolor/64x64/apps
- )
- cmake_src_configure
-}
-
-pkg_postinst() {
- elog "Wargus requires the data from the original game to run. The game"
- elog "will ask you for the location of the game data and extract/convert"
- elog "it automatically on the first run. Only the DOS version is supported"
- elog "at the moment."
-
- if ! has_version media-video/ffmpeg ||
- ! has_version media-sound/cdparanoia
- then
- elog
- elog "If you did not convert the game data yet, you may want to install"
- elog "the following optional dependencies:"
- elog
- elog "media-video/ffmpeg -- to convert game videos"
- elog "media-sound/cdparanoia -- to rip game music from the CD"
- fi
-
- xdg_icon_cache_update
-}
-
-pkg_postrm() {
- xdg_icon_cache_update
-}
diff --git a/games-strategy/wargus/wargus-3.0.0-r1.ebuild b/games-strategy/wargus/wargus-3.0.0-r1.ebuild
deleted file mode 100644
index a15e86163b5..00000000000
--- a/games-strategy/wargus/wargus-3.0.0-r1.ebuild
+++ /dev/null
@@ -1,72 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit cmake xdg-utils
-
-DESCRIPTION="Warcraft II for the Stratagus game engine"
-HOMEPAGE="https://wargus.github.io/
- https://github.com/Wargus/wargus"
-SRC_URI="https://github.com/Wargus/wargus/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="+bne"
-
-RDEPEND="
- =games-engines/stratagus-${PV}*[theora]
- media-libs/libpng:0=
- sys-libs/zlib:=
- x11-libs/gtk+:2
- x11-libs/libX11
- bne? ( app-arch/stormlib:= )
- !games-strategy/wargus-data"
-DEPEND="${RDEPEND}"
-BDEPEND="
- virtual/pkgconfig"
-
-pkg_pretend() {
- if has_version games-strategy/wargus-data; then
- ewarn "The system-wide install of game data via games-strategy/wargus-data"
- ewarn "no longer works. The old data will be uninstalled after merging"
- ewarn "this version of Wargus. If you would like to preserve it, please"
- ewarn "abort the process and back /usr/share/stratagus/wargus up."
- fi
-}
-
-src_configure() {
- local mycmakeargs=(
- -DGAMEDIR="${EPREFIX}/usr/bin"
- -DBINDIR="${EPREFIX}/usr/bin"
- -DSTRATAGUS="${EPREFIX}/usr/bin/stratagus"
- -DSHAREDIR="${EPREFIX}/usr/share/stratagus/wargus"
- -DICONDIR=/usr/share/icons/hicolor/64x64/apps
- -DWITH_STORMLIB=$(usex bne)
- )
- cmake_src_configure
-}
-
-pkg_postinst() {
- elog "Wargus requires the data from the original game to run. The game"
- elog "will ask you for the location of the game data and extract/convert"
- elog "it automatically on the first run."
-
- if ! has_version media-video/ffmpeg ||
- ! has_version media-sound/cdparanoia
- then
- elog
- elog "If you did not convert the game data yet, you may want to install"
- elog "the following optional dependencies:"
- elog
- elog "media-video/ffmpeg -- to convert game videos"
- elog "media-sound/cdparanoia -- to rip game music from the CD"
- fi
-
- xdg_icon_cache_update
-}
-
-pkg_postrm() {
- xdg_icon_cache_update
-}
diff --git a/games-strategy/wargus/wargus-3.1.1.ebuild b/games-strategy/wargus/wargus-3.1.1.ebuild
deleted file mode 100644
index 05c144af13d..00000000000
--- a/games-strategy/wargus/wargus-3.1.1.ebuild
+++ /dev/null
@@ -1,73 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit cmake xdg-utils
-
-DESCRIPTION="Warcraft II for the Stratagus game engine"
-HOMEPAGE="
- https://stratagus.com/
- https://github.com/Wargus/wargus"
-SRC_URI="https://github.com/Wargus/wargus/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="+bne"
-
-RDEPEND="
- =games-engines/stratagus-${PV}*[theora]
- media-libs/libpng:0=
- sys-libs/zlib:=
- x11-libs/gtk+:2
- x11-libs/libX11
- bne? ( app-arch/stormlib:= )
- !games-strategy/wargus-data"
-DEPEND="${RDEPEND}"
-BDEPEND="
- virtual/pkgconfig"
-
-pkg_pretend() {
- if has_version games-strategy/wargus-data; then
- ewarn "The system-wide install of game data via games-strategy/wargus-data"
- ewarn "no longer works. The old data will be uninstalled after merging"
- ewarn "this version of Wargus. If you would like to preserve it, please"
- ewarn "abort the process and back /usr/share/stratagus/wargus up."
- fi
-}
-
-src_configure() {
- local mycmakeargs=(
- -DGAMEDIR="${EPREFIX}/usr/bin"
- -DBINDIR="${EPREFIX}/usr/bin"
- -DSTRATAGUS="${EPREFIX}/usr/bin/stratagus"
- -DSHAREDIR="${EPREFIX}/usr/share/stratagus/wargus"
- -DICONDIR=/usr/share/icons/hicolor/64x64/apps
- -DWITH_STORMLIB=$(usex bne)
- )
- cmake_src_configure
-}
-
-pkg_postinst() {
- elog "Wargus requires the data from the original game to run. The game"
- elog "will ask you for the location of the game data and extract/convert"
- elog "it automatically on the first run."
-
- if ! has_version media-video/ffmpeg ||
- ! has_version media-sound/cdparanoia
- then
- elog
- elog "If you did not convert the game data yet, you may want to install"
- elog "the following optional dependencies:"
- elog
- elog "media-video/ffmpeg -- to convert game videos"
- elog "media-sound/cdparanoia -- to rip game music from the CD"
- fi
-
- xdg_icon_cache_update
-}
-
-pkg_postrm() {
- xdg_icon_cache_update
-}
diff --git a/games-strategy/wargus/wargus-3.1.2.ebuild b/games-strategy/wargus/wargus-3.3.0.ebuild
index 05c144af13d..fff6023fa17 100644
--- a/games-strategy/wargus/wargus-3.1.2.ebuild
+++ b/games-strategy/wargus/wargus-3.3.0.ebuild
@@ -1,32 +1,40 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
inherit cmake xdg-utils
DESCRIPTION="Warcraft II for the Stratagus game engine"
HOMEPAGE="
https://stratagus.com/
- https://github.com/Wargus/wargus"
-SRC_URI="https://github.com/Wargus/wargus/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ https://github.com/Wargus/wargus/
+"
+SRC_URI="
+ https://github.com/Wargus/wargus/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz
+"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="+bne"
-RDEPEND="
+DEPEND="
=games-engines/stratagus-${PV}*[theora]
media-libs/libpng:0=
sys-libs/zlib:=
x11-libs/gtk+:2
x11-libs/libX11
bne? ( app-arch/stormlib:= )
- !games-strategy/wargus-data"
-DEPEND="${RDEPEND}"
+ !games-strategy/wargus-data
+"
+RDEPEND="
+ ${DEPEND}
+"
BDEPEND="
- virtual/pkgconfig"
+ virtual/pkgconfig
+"
pkg_pretend() {
if has_version games-strategy/wargus-data; then
diff --git a/games-strategy/wargus/wargus-3.1.0.ebuild b/games-strategy/wargus/wargus-3.3.1.ebuild
index 05c144af13d..fff6023fa17 100644
--- a/games-strategy/wargus/wargus-3.1.0.ebuild
+++ b/games-strategy/wargus/wargus-3.3.1.ebuild
@@ -1,32 +1,40 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
inherit cmake xdg-utils
DESCRIPTION="Warcraft II for the Stratagus game engine"
HOMEPAGE="
https://stratagus.com/
- https://github.com/Wargus/wargus"
-SRC_URI="https://github.com/Wargus/wargus/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ https://github.com/Wargus/wargus/
+"
+SRC_URI="
+ https://github.com/Wargus/wargus/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz
+"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="+bne"
-RDEPEND="
+DEPEND="
=games-engines/stratagus-${PV}*[theora]
media-libs/libpng:0=
sys-libs/zlib:=
x11-libs/gtk+:2
x11-libs/libX11
bne? ( app-arch/stormlib:= )
- !games-strategy/wargus-data"
-DEPEND="${RDEPEND}"
+ !games-strategy/wargus-data
+"
+RDEPEND="
+ ${DEPEND}
+"
BDEPEND="
- virtual/pkgconfig"
+ virtual/pkgconfig
+"
pkg_pretend() {
if has_version games-strategy/wargus-data; then
diff --git a/games-strategy/wesnoth/Manifest b/games-strategy/wesnoth/Manifest
index fd1ae547afc..a2c77539980 100644
--- a/games-strategy/wesnoth/Manifest
+++ b/games-strategy/wesnoth/Manifest
@@ -1,2 +1,3 @@
-DIST wesnoth-1.16.0.tar.gz 515780018 BLAKE2B 1a9d6aa9b294b9919d3b51528928f43d786f30fda739f0af2e62ebbb210b8f071945fe6130c00e2055d3726ae7eabf63b57fd2f1d5d8981a4cd0feedbfbffbfb SHA512 6d999a99e140916ef2070c524898ef69c7b45b3240f208aa380e81a1d1822a02c05a7fc9c5049a05a230e5126d8ff8723e16b6a62ba532b81c031f78ad8c85fe
DIST wesnoth-1.16.2.tar.gz 517313669 BLAKE2B b1b9a2795a7a298edd1d952547db518a31f217f983aaf39cdde7a14773f2538485c980205e9242d4a1c8f933011a09a7e858de128c7d17c16c552e34b2a59bf3 SHA512 19cb4c64d9cce780ffbb54e357bf88c3cf2eedc835fab7162bd9caa62485a60ab2a1ba68ab0c4b98dc05bab4fb22889f4a8237b9542baa5478fbda08034d9f66
+DIST wesnoth-1.16.3.tar.gz 518049863 BLAKE2B e862de2e6f71a1dfe11b0cb6343ea1da78c0eb035893d7bd16ca86586b689b21f39b5266ba86476829c1c9005f7abc37058c2f0ac8ea1ae2970d609880e0da20 SHA512 7f37a1a16ed51ffa935a457553b1a3890398b928bb5893720b746080b37a121a86e21ae402bdddfe30572adccf71a985bf1e3223a0eb443bf7a696ee213d9bf0
+DIST wesnoth-1.17.5.tar.bz2 418959651 BLAKE2B 3b6e015192a4050e5d16b25b0e67f91894eeae772125e4bbbefa81082b17fc9c479cf0f4c68d3b74afc5e656c8680319d336d1c14f421f875a64df9b6adbd830 SHA512 7033673f058f3114fcaf9e9b0f5f457c4ed2243fdf04cf80775815d2661bead73d7323c00f4aa678ff82f3d2c23000d81aca97c58f33635060341368ef8c4377
diff --git a/games-strategy/wesnoth/wesnoth-1.16.0-r1.ebuild b/games-strategy/wesnoth/wesnoth-1.16.3.ebuild
index f5718459c55..17cdd9a055f 100644
--- a/games-strategy/wesnoth/wesnoth-1.16.0-r1.ebuild
+++ b/games-strategy/wesnoth/wesnoth-1.16.3.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
inherit cmake flag-o-matic xdg
@@ -93,7 +93,7 @@ src_configure() {
src_install() {
local DOCS=( README.md changelog.md )
cmake_src_install
- if use dedicated || use server; then
+ if use dedicated || use server ; then
rmdir "${ED}"/run{/wesnothd,} || die
newinitd "${FILESDIR}"/wesnothd.rc-r1 wesnothd
fi
diff --git a/games-strategy/wesnoth/wesnoth-1.17.5.ebuild b/games-strategy/wesnoth/wesnoth-1.17.5.ebuild
new file mode 100644
index 00000000000..764fb71cac2
--- /dev/null
+++ b/games-strategy/wesnoth/wesnoth-1.17.5.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake flag-o-matic xdg
+
+DESCRIPTION="Battle for Wesnoth - A fantasy turn-based strategy game"
+HOMEPAGE="http://www.wesnoth.org
+ https://github.com/wesnoth/wesnoth"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+# uneven minor versions are development versions
+if [[ $(( $(ver_cut 2) % 2 )) == 0 ]] ; then
+ KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+fi
+IUSE="dbus dedicated doc nls server"
+
+RDEPEND="
+ acct-group/wesnoth
+ acct-user/wesnoth
+ dev-libs/boost:=[bzip2,context,icu,nls,threads(+)]
+ >=media-libs/libsdl2-2.0.4:0[joystick,video,X]
+ !dedicated? (
+ dev-libs/glib:2
+ dev-libs/openssl:0=
+ >=media-libs/fontconfig-2.4.1
+ >=media-libs/sdl2-image-2.0.0[jpeg,png]
+ >=media-libs/sdl2-mixer-2.0.0[vorbis]
+ media-libs/libvorbis
+ >=x11-libs/pango-1.22.0
+ >=x11-libs/cairo-1.10.0
+ sys-libs/readline:0=
+ dbus? ( sys-apps/dbus )
+ )"
+DEPEND="${RDEPEND}
+ x11-libs/libX11
+"
+BDEPEND="
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ cmake_src_prepare
+
+ if ! use doc ; then
+ sed -i \
+ -e '/manual/d' \
+ doc/CMakeLists.txt || die
+ fi
+
+ # respect LINGUAS (bug #483316)
+ if [[ ${LINGUAS+set} ]] ; then
+ local lang langs=()
+ for lang in $(cat po/LINGUAS) ; do
+ has ${lang} ${LINGUAS} && langs+=( ${lang} )
+ done
+ echo "${langs[@]}" > po/LINGUAS || die
+ fi
+}
+
+src_configure() {
+ filter-flags -ftracer -fomit-frame-pointer
+
+ if use dedicated || use server ; then
+ mycmakeargs=(
+ -DENABLE_CAMPAIGN_SERVER="ON"
+ -DENABLE_SERVER="ON"
+ -DSERVER_UID="${PN}"
+ -DSERVER_GID="${PN}"
+ -DFIFO_DIR="/run/wesnothd"
+ )
+ else
+ mycmakeargs=(
+ -DENABLE_CAMPAIGN_SERVER="OFF"
+ -DENABLE_SERVER="OFF"
+ )
+ fi
+ mycmakeargs+=(
+ -Wno-dev
+ -DENABLE_GAME="$(usex !dedicated)"
+ -DENABLE_DESKTOP_ENTRY="$(usex !dedicated)"
+ -DENABLE_NLS="$(usex nls)"
+ -DENABLE_NOTIFICATIONS="$(usex dbus)"
+ -DENABLE_STRICT_COMPILATION="OFF"
+ )
+ cmake_src_configure
+}
+
+src_install() {
+ local DOCS=( README.md changelog.md )
+ cmake_src_install
+ if use dedicated || use server ; then
+ rmdir "${ED}"/run{/wesnothd,} || die
+ newinitd "${FILESDIR}"/wesnothd.rc-r1 wesnothd
+ fi
+}
diff --git a/games-strategy/widelands/files/widelands-1.0-gcc12-werror.patch b/games-strategy/widelands/files/widelands-1.0-gcc12-werror.patch
new file mode 100644
index 00000000000..a00603a7969
--- /dev/null
+++ b/games-strategy/widelands/files/widelands-1.0-gcc12-werror.patch
@@ -0,0 +1,29 @@
+Drop -Werror= (uninitialized cause issues from gcc-12) and also backport
+fix for the offending variable.
+
+Note: upstream changed how -Werror is handled next release, currently pass
+a hard non-specific -Werror and disables it for gcc-12 (review on bump, see
+commit/PR below).
+
+https://bugs.gentoo.org/859277
+https://github.com/widelands/widelands/pull/5415
+https://github.com/widelands/widelands/commit/e4da6d624
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -312,8 +312,2 @@
+ if(NOT MSVC)
+- # Turn some warnings into errors.
+- wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Werror=format-security")
+- wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Werror=return-type")
+- wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Werror=shadow")
+- wl_add_flag(WL_COMPILE_DIAGNOSTICS "-Werror=uninitialized")
+-
+ wl_add_flag(WL_GENERIC_CXX_FLAGS "-std=c++11")
+--- a/src/editor/editorinteractive.h
++++ b/src/editor/editorinteractive.h
+@@ -87,4 +87,4 @@
+ EditorIncreaseResourcesTool increase_resources;
+- EditorSetPortSpaceTool set_port_space;
+ EditorUnsetPortSpaceTool unset_port_space;
++ EditorSetPortSpaceTool set_port_space;
+ EditorSetOriginTool set_origin;
diff --git a/games-strategy/widelands/widelands-1.0.ebuild b/games-strategy/widelands/widelands-1.0.ebuild
index 1c8af8b6ba6..62799a6e424 100644
--- a/games-strategy/widelands/widelands-1.0.ebuild
+++ b/games-strategy/widelands/widelands-1.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -15,7 +15,7 @@ if [[ ${PV} == 9999 ]]; then
EGIT_REPO_URI="https://github.com/widelands/widelands.git"
else
SRC_URI="https://github.com/widelands/widelands/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64 ~x86"
+ KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
fi
LICENSE="|| ( Apache-2.0 GPL-3 ) BitstreamVera CC-BY-SA-3.0 GPL-2 GPL-2+ MIT OFL-1.1 ZLIB"
@@ -44,6 +44,7 @@ BDEPEND="
PATCHES=(
"${FILESDIR}"/${P}-boost-1.77.patch
+ "${FILESDIR}"/${P}-gcc12-werror.patch
)
src_configure() {